# Thai (th) locale

## `format` and `parse`

| Title                           | Token string | Date                        | `format` result                                          | `parse` result              | Equals |
| ------------------------------- | ------------ | --------------------------- | -------------------------------------------------------- | --------------------------- | ------ |
| Era                             | G            | 1987-02-11T12:13:14.015Z    | ค.ศ.                                                     | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | BC                                                       | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GG           | 1987-02-11T12:13:14.015Z    | ค.ศ.                                                     | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | BC                                                       | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGG          | 1987-02-11T12:13:14.015Z    | ค.ศ.                                                     | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | BC                                                       | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGG         | 1987-02-11T12:13:14.015Z    | คริสต์ศักราช                                             | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | ปีก่อนคริสตกาล                                           | Invalid Date                | ❌     |
|                                 | GGGGG        | 1987-02-11T12:13:14.015Z    | คศ                                                       | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | B                                                        | -000009-01-01T00:00:00.000Z | ❌     |
| Calendar year                   | y            | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yo           | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yy           | 1987-02-11T12:13:14.015Z    | 87                                                       | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyy          | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                      | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyy         | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                     | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyyy        | 1987-02-11T12:13:14.015Z    | 01987                                                    | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                    | 0005-01-01T00:00:00.000Z    | ❌     |
| Local week-numbering year       | Y            | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                        | 0004-12-27T00:00:00.000Z    | ❌     |
|                                 | Yo           | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                        | 0004-12-27T00:00:00.000Z    | ❌     |
|                                 | YY           | 1987-02-11T12:13:14.015Z    | 87                                                       | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                       | 0004-12-27T00:00:00.000Z    | ❌     |
|                                 | YYY          | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                      | 0004-12-27T00:00:00.000Z    | ❌     |
|                                 | YYYY         | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                     | 0004-12-27T00:00:00.000Z    | ❌     |
|                                 | YYYYY        | 1987-02-11T12:13:14.015Z    | 01987                                                    | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                    | 0004-12-27T00:00:00.000Z    | ❌     |
| ISO week-numbering year         | R            | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4                                                        | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RR           | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 04                                                       | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRR          | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 004                                                      | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRR         | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0004                                                     | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRRR        | 1987-02-11T12:13:14.015Z    | 01987                                                    | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00004                                                    | 0003-12-29T00:00:00.000Z    | ❌     |
| Extended year                   | u            | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uu           | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuu          | 1987-02-11T12:13:14.015Z    | 1987                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                      | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuu         | 1987-02-11T12:13:14.015Z    | 1987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                     | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuuu        | 1987-02-11T12:13:14.015Z    | 01987                                                    | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                    | 0005-01-01T00:00:00.000Z    | ❌     |
| Quarter (formatting)            | Q            | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | Qo           | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQ           | 2019-01-01T12:13:14.015Z    | 01                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z    | Q1                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | Q2                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z    | ไตรมาสแรก                                                | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ไตรมาสที่สอง                                             | Invalid Date                | ❌     |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
| Quarter (stand-alone)           | q            | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qo           | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qq           | 2019-01-01T12:13:14.015Z    | 01                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqq          | 2019-01-01T12:13:14.015Z    | Q1                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | Q2                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z    | ไตรมาสแรก                                                | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ไตรมาสที่สอง                                             | Invalid Date                | ❌     |
|                                 | qqqqq        | 2019-01-01T12:13:14.015Z    | 1                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
| Month (formatting)              | M            | 2019-02-11T12:13:14.015Z    | 2                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Mo           | 2019-02-11T12:13:14.015Z    | 2                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MM           | 2019-02-11T12:13:14.015Z    | 02                                                       | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMM          | 2019-02-11T12:13:14.015Z    | ก.พ.                                                     | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ก.ค.                                                     | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z    | กุมภาพันธ์                                               | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | กรกฎาคม                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z    | ก.พ.                                                     | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ก.ค.                                                     | 2019-07-01T00:00:00.000Z    | ❌     |
| Month (stand-alone)             | L            | 2019-02-11T12:13:14.015Z    | 2                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Lo           | 2019-02-11T12:13:14.015Z    | 2                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LL           | 2019-02-11T12:13:14.015Z    | 02                                                       | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLL          | 2019-02-11T12:13:14.015Z    | ก.พ.                                                     | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ก.ค.                                                     | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z    | กุมภาพันธ์                                               | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | กรกฎาคม                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z    | ก.พ.                                                     | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ก.ค.                                                     | 2019-07-01T00:00:00.000Z    | ❌     |
| Local week of year              | w            | 2019-01-01T12:13:14.015Z    | 1                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | wo           | 2019-01-01T12:13:14.015Z    | 1                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | ww           | 2019-01-01T12:13:14.015Z    | 01                                                       | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
| ISO week of year                | I            | 2019-01-01T12:13:14.015Z    | 1                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | Io           | 2019-01-01T12:13:14.015Z    | 1                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | II           | 2019-01-01T12:13:14.015Z    | 01                                                       | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                       | 2019-11-25T00:00:00.000Z    | ❌     |
| Day of month                    | d            | 2019-02-11T12:13:14.015Z    | 11                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                       | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | do           | 2019-02-11T12:13:14.015Z    | 11                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                       | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | dd           | 2019-02-11T12:13:14.015Z    | 11                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                       | 2019-02-28T00:00:00.000Z    | ❌     |
| Day of year                     | D            | 2019-02-11T12:13:14.015Z    | 42                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                      | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | Do           | 2019-02-11T12:13:14.015Z    | 42                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                      | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DD           | 2019-02-11T12:13:14.015Z    | 42                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                      | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDD          | 2019-02-11T12:13:14.015Z    | 042                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                      | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDDD         | 2019-02-11T12:13:14.015Z    | 0042                                                     | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 0365                                                     | 2019-12-31T00:00:00.000Z    | ❌     |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EE           | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEE          | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z    | จันทร์                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศุกร์                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| ISO day of week (formatting)    | i            | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | io           | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ii           | 2019-02-11T12:13:14.015Z    | 01                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iii          | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiii         | 2019-02-11T12:13:14.015Z    | จันทร์                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศุกร์                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (formatting)  | e            | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eo           | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ee           | 2019-02-11T12:13:14.015Z    | 01                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eee          | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeee         | 2019-02-11T12:13:14.015Z    | จันทร์                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศุกร์                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (stand-alone) | c            | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | co           | 2019-02-11T12:13:14.015Z    | 1                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cc           | 2019-02-11T12:13:14.015Z    | 01                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccc          | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccc         | 2019-02-11T12:13:14.015Z    | จันทร์                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศุกร์                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z    | จ.                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ศ.                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aa           | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaa          | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bb           | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbb          | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | หลังเที่ยง                                               | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ก่อนเที่ยง                                               | 2019-02-11T00:00:00.000Z    | ❌     |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z    | ตอนเช้า                                                  | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | ตอนกลางวัน                                               | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ตอนเย็น                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ตอนกลางคืน                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BB           | 2019-02-11T11:13:14.015Z    | ตอนเช้า                                                  | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | ตอนกลางวัน                                               | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ตอนเย็น                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ตอนกลางคืน                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBB          | 2019-02-11T11:13:14.015Z    | ตอนเช้า                                                  | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | ตอนกลางวัน                                               | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ตอนเย็น                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ตอนกลางคืน                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z    | ตอนเช้า                                                  | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | ตอนกลางวัน                                               | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ตอนเย็น                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ตอนกลางคืน                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z    | ตอนเช้า                                                  | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | ตอนกลางวัน                                               | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ตอนเย็น                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ตอนกลางคืน                                               | 2019-02-11T00:00:00.000Z    | ❌     |
| Hour [1-12]                     | h            | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ho           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | hh           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-23]                     | H            | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ho           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | HH           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-11]                     | K            | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ko           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | KK           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [1-24]                     | k            | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ko           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | kk           | 2019-02-11T11:13:14.015Z    | 11                                                       | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                       | 2019-02-11T23:00:00.000Z    | ❌     |
| Minute                          | m            | 2019-01-01T12:01:14.015Z    | 1                                                        | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                       | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mo           | 2019-01-01T12:01:14.015Z    | 1                                                        | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                       | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mm           | 2019-01-01T12:01:14.015Z    | 01                                                       | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                       | 2019-04-01T12:55:00.000Z    | ❌     |
| Second                          | s            | 2019-01-01T12:13:01.015Z    | 1                                                        | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                       | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | so           | 2019-01-01T12:13:01.015Z    | 1                                                        | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                       | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | ss           | 2019-01-01T12:13:01.015Z    | 01                                                       | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                       | 2019-04-01T12:13:55.000Z    | ❌     |
| Fraction of second              | S            | 2019-01-01T12:13:14.001Z    | 0                                                        | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9                                                        | 2019-04-01T12:13:14.900Z    | ❌     |
|                                 | SS           | 2019-01-01T12:13:14.001Z    | 00                                                       | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 99                                                       | 2019-04-01T12:13:14.990Z    | ❌     |
|                                 | SSS          | 2019-01-01T12:13:14.001Z    | 001                                                      | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 999                                                      | 2019-04-01T12:13:14.999Z    | ✅     |
|                                 | SSSS         | 2019-01-01T12:13:14.001Z    | 0010                                                     | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9990                                                     | 2019-04-01T12:13:14.999Z    | ✅     |
| Timezone (ISO-8601 w/ Z)        | X            | 2019-02-11T12:13:14.015Z    | Z                                                        | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XX           | 2019-02-11T12:13:14.015Z    | Z                                                        | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXX          | 2019-02-11T12:13:14.015Z    | Z                                                        | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXX         | 2019-02-11T12:13:14.015Z    | Z                                                        | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXXX        | 2019-02-11T12:13:14.015Z    | Z                                                        | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (ISO-8601 w/o Z)       | x            | 2019-02-11T12:13:14.015Z    | +00                                                      | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xx           | 2019-02-11T12:13:14.015Z    | +0000                                                    | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxx          | 2019-02-11T12:13:14.015Z    | +00:00                                                   | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxx         | 2019-02-11T12:13:14.015Z    | +0000                                                    | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxxx        | 2019-02-11T12:13:14.015Z    | +00:00                                                   | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (GMT)                  | O            | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | OO           | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | OOO          | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | OOOO         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                | NA                          | NA     |
| Timezone (specific non-locat.)  | z            | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | zz           | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | zzz          | 2019-02-11T12:13:14.015Z    | GMT+0                                                    | NA                          | NA     |
|                                 | zzzz         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                | NA                          | NA     |
| Seconds timestamp               | t            | 1970-01-01T00:00:00.000Z    | 0                                                        | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | tt           | 1970-01-01T00:00:00.000Z    | 00                                                       | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                | 1987-02-11T00:00:00.000Z    | ✅     |
| Milliseconds timestamp          | T            | 1970-01-01T00:00:00.000Z    | 0                                                        | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                             | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | TT           | 1970-01-01T00:00:00.000Z    | 00                                                       | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                             | 1987-02-11T00:00:00.000Z    | ✅     |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z    | 11/02/1987                                               | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29/05/1453                                               | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PP           | 1987-02-11T12:13:14.015Z    | 11 ก.พ. 1987                                             | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29 พ.ค. 1453                                             | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PPP          | 1987-02-11T12:13:14.015Z    | 11 กุมภาพันธ์ 1987                                       | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29 พฤษภาคม 1453                                          | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z    | วันพุธที่ 11 กุมภาพันธ์ 1987                             | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | วันอาทิตย์ที่ 29 พฤษภาคม 1453                            | 1453-05-29T00:00:00.000Z    | ❌     |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z    | 12:13 น.                                                 | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59 น.                                                 | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | pp           | 1987-02-11T12:13:14.015Z    | 12:13:14 น.                                              | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59:59 น.                                              | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | ppp          | 1987-02-11T12:13:14.015Z    | 12:13:14 น. GMT+0                                        | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59:59 น. GMT+0                                        | Errored                     | ❌     |
|                                 | pppp         | 1987-02-11T12:13:14.015Z    | 12:13:14 น. GMT+00:00                                    | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59:59 น. GMT+00:00                                    | Errored                     | ❌     |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z    | 11/02/1987, 12:13 น.                                     | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29/05/1453, 23:59 น.                                     | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z    | 11 ก.พ. 1987, 12:13:14 น.                                | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29 พ.ค. 1453, 23:59:59 น.                                | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z    | 11 กุมภาพันธ์ 1987 เวลา 12:13:14 น. GMT+0                | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29 พฤษภาคม 1453 เวลา 23:59:59 น. GMT+0                   | Errored                     | ❌     |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z    | วันพุธที่ 11 กุมภาพันธ์ 1987 เวลา 12:13:14 น. GMT+00:00  | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | วันอาทิตย์ที่ 29 พฤษภาคม 1453 เวลา 23:59:59 น. GMT+00:00 | Errored                     | ❌     |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result           | `includeSeconds: true` | `addSuffix: true`         |
| ------------------------ | ---------------- | ---------------------- | ------------------------- |
| 2006-01-01T00:00:00.000Z | ประมาณ 6 ปี      | ประมาณ 6 ปี            | ใน ประมาณ 6 ปี            |
| 2005-01-01T00:00:00.000Z | ประมาณ 5 ปี      | ประมาณ 5 ปี            | ใน ประมาณ 5 ปี            |
| 2004-01-01T00:00:00.000Z | ประมาณ 4 ปี      | ประมาณ 4 ปี            | ใน ประมาณ 4 ปี            |
| 2003-01-01T00:00:00.000Z | ประมาณ 3 ปี      | ประมาณ 3 ปี            | ใน ประมาณ 3 ปี            |
| 2002-01-01T00:00:00.000Z | ประมาณ 2 ปี      | ประมาณ 2 ปี            | ใน ประมาณ 2 ปี            |
| 2001-06-01T00:00:00.000Z | มากกว่า 1 ปี     | มากกว่า 1 ปี           | ใน มากกว่า 1 ปี           |
| 2001-02-01T00:00:00.000Z | ประมาณ 1 ปี      | ประมาณ 1 ปี            | ใน ประมาณ 1 ปี            |
| 2001-01-01T00:00:00.000Z | ประมาณ 1 ปี      | ประมาณ 1 ปี            | ใน ประมาณ 1 ปี            |
| 2000-06-01T00:00:00.000Z | 5 เดือน          | 5 เดือน                | ใน 5 เดือน                |
| 2000-03-01T00:00:00.000Z | 2 เดือน          | 2 เดือน                | ใน 2 เดือน                |
| 2000-02-01T00:00:00.000Z | ประมาณ 1 เดือน   | ประมาณ 1 เดือน         | ใน ประมาณ 1 เดือน         |
| 2000-01-15T00:00:00.000Z | 14 วัน           | 14 วัน                 | ใน 14 วัน                 |
| 2000-01-02T00:00:00.000Z | 1 วัน            | 1 วัน                  | ใน 1 วัน                  |
| 2000-01-01T06:00:00.000Z | ประมาณ 6 ชั่วโมง | ประมาณ 6 ชั่วโมง       | ใน ประมาณ 6 ชั่วโมง       |
| 2000-01-01T01:00:00.000Z | ประมาณ 1 ชั่วโมง | ประมาณ 1 ชั่วโมง       | ใน ประมาณ 1 ชั่วโมง       |
| 2000-01-01T00:45:00.000Z | ประมาณ 1 ชั่วโมง | ประมาณ 1 ชั่วโมง       | ใน ประมาณ 1 ชั่วโมง       |
| 2000-01-01T00:30:00.000Z | 30 นาที          | 30 นาที                | ใน 30 นาที                |
| 2000-01-01T00:15:00.000Z | 15 นาที          | 15 นาที                | ใน 15 นาที                |
| 2000-01-01T00:01:00.000Z | 1 นาที           | 1 นาที                 | ใน 1 นาที                 |
| 2000-01-01T00:00:25.000Z | น้อยกว่า 1 นาที  | ครึ่งนาที              | ใน น้อยกว่า 1 นาที        |
| 2000-01-01T00:00:15.000Z | น้อยกว่า 1 นาที  | น้อยกว่า 20 วินาที     | ใน น้อยกว่า 1 นาที        |
| 2000-01-01T00:00:05.000Z | น้อยกว่า 1 นาที  | น้อยกว่า 10 วินาที     | ใน น้อยกว่า 1 นาที        |
| 2000-01-01T00:00:00.000Z | น้อยกว่า 1 นาที  | น้อยกว่า 5 วินาที      | น้อยกว่า 1 นาทีที่ผ่านมา  |
| 1999-12-31T23:59:55.000Z | น้อยกว่า 1 นาที  | น้อยกว่า 10 วินาที     | น้อยกว่า 1 นาทีที่ผ่านมา  |
| 1999-12-31T23:59:45.000Z | น้อยกว่า 1 นาที  | น้อยกว่า 20 วินาที     | น้อยกว่า 1 นาทีที่ผ่านมา  |
| 1999-12-31T23:59:35.000Z | น้อยกว่า 1 นาที  | ครึ่งนาที              | น้อยกว่า 1 นาทีที่ผ่านมา  |
| 1999-12-31T23:59:00.000Z | 1 นาที           | 1 นาที                 | 1 นาทีที่ผ่านมา           |
| 1999-12-31T23:45:00.000Z | 15 นาที          | 15 นาที                | 15 นาทีที่ผ่านมา          |
| 1999-12-31T23:30:00.000Z | 30 นาที          | 30 นาที                | 30 นาทีที่ผ่านมา          |
| 1999-12-31T23:15:00.000Z | ประมาณ 1 ชั่วโมง | ประมาณ 1 ชั่วโมง       | ประมาณ 1 ชั่วโมงที่ผ่านมา |
| 1999-12-31T23:00:00.000Z | ประมาณ 1 ชั่วโมง | ประมาณ 1 ชั่วโมง       | ประมาณ 1 ชั่วโมงที่ผ่านมา |
| 1999-12-31T18:00:00.000Z | ประมาณ 6 ชั่วโมง | ประมาณ 6 ชั่วโมง       | ประมาณ 6 ชั่วโมงที่ผ่านมา |
| 1999-12-30T00:00:00.000Z | 2 วัน            | 2 วัน                  | 2 วันที่ผ่านมา            |
| 1999-12-15T00:00:00.000Z | 17 วัน           | 17 วัน                 | 17 วันที่ผ่านมา           |
| 1999-12-01T00:00:00.000Z | ประมาณ 1 เดือน   | ประมาณ 1 เดือน         | ประมาณ 1 เดือนที่ผ่านมา   |
| 1999-11-01T00:00:00.000Z | 2 เดือน          | 2 เดือน                | 2 เดือนที่ผ่านมา          |
| 1999-06-01T00:00:00.000Z | 7 เดือน          | 7 เดือน                | 7 เดือนที่ผ่านมา          |
| 1999-01-01T00:00:00.000Z | ประมาณ 1 ปี      | ประมาณ 1 ปี            | ประมาณ 1 ปีที่ผ่านมา      |
| 1998-12-01T00:00:00.000Z | ประมาณ 1 ปี      | ประมาณ 1 ปี            | ประมาณ 1 ปีที่ผ่านมา      |
| 1998-06-01T00:00:00.000Z | มากกว่า 1 ปี     | มากกว่า 1 ปี           | มากกว่า 1 ปีที่ผ่านมา     |
| 1998-01-01T00:00:00.000Z | ประมาณ 2 ปี      | ประมาณ 2 ปี            | ประมาณ 2 ปีที่ผ่านมา      |
| 1997-01-01T00:00:00.000Z | ประมาณ 3 ปี      | ประมาณ 3 ปี            | ประมาณ 3 ปีที่ผ่านมา      |
| 1996-01-01T00:00:00.000Z | ประมาณ 4 ปี      | ประมาณ 4 ปี            | ประมาณ 4 ปีที่ผ่านมา      |
| 1995-01-01T00:00:00.000Z | ประมาณ 5 ปี      | ประมาณ 5 ปี            | ประมาณ 5 ปีที่ผ่านมา      |
| 1994-01-01T00:00:00.000Z | ประมาณ 6 ปี      | ประมาณ 6 ปี            | ประมาณ 6 ปีที่ผ่านมา      |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result    | `addSuffix: true`  | With forced unit (i.e. `hour`) |
| ------------------------ | --------- | ------------------ | ------------------------------ |
| 2006-01-01T00:00:00.000Z | 6 ปี      | ใน 6 ปี            | 52608 ชั่วโมง                  |
| 2005-01-01T00:00:00.000Z | 5 ปี      | ใน 5 ปี            | 43848 ชั่วโมง                  |
| 2004-01-01T00:00:00.000Z | 4 ปี      | ใน 4 ปี            | 35064 ชั่วโมง                  |
| 2003-01-01T00:00:00.000Z | 3 ปี      | ใน 3 ปี            | 26304 ชั่วโมง                  |
| 2002-01-01T00:00:00.000Z | 2 ปี      | ใน 2 ปี            | 17544 ชั่วโมง                  |
| 2001-06-01T00:00:00.000Z | 1 ปี      | ใน 1 ปี            | 12408 ชั่วโมง                  |
| 2001-02-01T00:00:00.000Z | 1 ปี      | ใน 1 ปี            | 9528 ชั่วโมง                   |
| 2001-01-01T00:00:00.000Z | 1 ปี      | ใน 1 ปี            | 8784 ชั่วโมง                   |
| 2000-06-01T00:00:00.000Z | 5 เดือน   | ใน 5 เดือน         | 3648 ชั่วโมง                   |
| 2000-03-01T00:00:00.000Z | 2 เดือน   | ใน 2 เดือน         | 1440 ชั่วโมง                   |
| 2000-02-01T00:00:00.000Z | 1 เดือน   | ใน 1 เดือน         | 744 ชั่วโมง                    |
| 2000-01-15T00:00:00.000Z | 14 วัน    | ใน 14 วัน          | 336 ชั่วโมง                    |
| 2000-01-02T00:00:00.000Z | 1 วัน     | ใน 1 วัน           | 24 ชั่วโมง                     |
| 2000-01-01T06:00:00.000Z | 6 ชั่วโมง | ใน 6 ชั่วโมง       | 6 ชั่วโมง                      |
| 2000-01-01T01:00:00.000Z | 1 ชั่วโมง | ใน 1 ชั่วโมง       | 1 ชั่วโมง                      |
| 2000-01-01T00:45:00.000Z | 45 นาที   | ใน 45 นาที         | 1 ชั่วโมง                      |
| 2000-01-01T00:30:00.000Z | 30 นาที   | ใน 30 นาที         | 1 ชั่วโมง                      |
| 2000-01-01T00:15:00.000Z | 15 นาที   | ใน 15 นาที         | 0 ชั่วโมง                      |
| 2000-01-01T00:01:00.000Z | 1 นาที    | ใน 1 นาที          | 0 ชั่วโมง                      |
| 2000-01-01T00:00:25.000Z | 25 วินาที | ใน 25 วินาที       | 0 ชั่วโมง                      |
| 2000-01-01T00:00:15.000Z | 15 วินาที | ใน 15 วินาที       | 0 ชั่วโมง                      |
| 2000-01-01T00:00:05.000Z | 5 วินาที  | ใน 5 วินาที        | 0 ชั่วโมง                      |
| 2000-01-01T00:00:00.000Z | 0 วินาที  | 0 วินาทีที่ผ่านมา  | 0 ชั่วโมง                      |
| 1999-12-31T23:59:55.000Z | 5 วินาที  | 5 วินาทีที่ผ่านมา  | 0 ชั่วโมง                      |
| 1999-12-31T23:59:45.000Z | 15 วินาที | 15 วินาทีที่ผ่านมา | 0 ชั่วโมง                      |
| 1999-12-31T23:59:35.000Z | 25 วินาที | 25 วินาทีที่ผ่านมา | 0 ชั่วโมง                      |
| 1999-12-31T23:59:00.000Z | 1 นาที    | 1 นาทีที่ผ่านมา    | 0 ชั่วโมง                      |
| 1999-12-31T23:45:00.000Z | 15 นาที   | 15 นาทีที่ผ่านมา   | 0 ชั่วโมง                      |
| 1999-12-31T23:30:00.000Z | 30 นาที   | 30 นาทีที่ผ่านมา   | 1 ชั่วโมง                      |
| 1999-12-31T23:15:00.000Z | 45 นาที   | 45 นาทีที่ผ่านมา   | 1 ชั่วโมง                      |
| 1999-12-31T23:00:00.000Z | 1 ชั่วโมง | 1 ชั่วโมงที่ผ่านมา | 1 ชั่วโมง                      |
| 1999-12-31T18:00:00.000Z | 6 ชั่วโมง | 6 ชั่วโมงที่ผ่านมา | 6 ชั่วโมง                      |
| 1999-12-30T00:00:00.000Z | 2 วัน     | 2 วันที่ผ่านมา     | 48 ชั่วโมง                     |
| 1999-12-15T00:00:00.000Z | 17 วัน    | 17 วันที่ผ่านมา    | 408 ชั่วโมง                    |
| 1999-12-01T00:00:00.000Z | 1 เดือน   | 1 เดือนที่ผ่านมา   | 744 ชั่วโมง                    |
| 1999-11-01T00:00:00.000Z | 2 เดือน   | 2 เดือนที่ผ่านมา   | 1464 ชั่วโมง                   |
| 1999-06-01T00:00:00.000Z | 7 เดือน   | 7 เดือนที่ผ่านมา   | 5136 ชั่วโมง                   |
| 1999-01-01T00:00:00.000Z | 1 ปี      | 1 ปีที่ผ่านมา      | 8760 ชั่วโมง                   |
| 1998-12-01T00:00:00.000Z | 1 ปี      | 1 ปีที่ผ่านมา      | 9504 ชั่วโมง                   |
| 1998-06-01T00:00:00.000Z | 2 ปี      | 2 ปีที่ผ่านมา      | 13896 ชั่วโมง                  |
| 1998-01-01T00:00:00.000Z | 2 ปี      | 2 ปีที่ผ่านมา      | 17520 ชั่วโมง                  |
| 1997-01-01T00:00:00.000Z | 3 ปี      | 3 ปีที่ผ่านมา      | 26280 ชั่วโมง                  |
| 1996-01-01T00:00:00.000Z | 4 ปี      | 4 ปีที่ผ่านมา      | 35064 ชั่วโมง                  |
| 1995-01-01T00:00:00.000Z | 5 ปี      | 5 ปีที่ผ่านมา      | 43824 ชั่วโมง                  |
| 1994-01-01T00:00:00.000Z | 6 ปี      | 6 ปีที่ผ่านมา      | 52584 ชั่วโมง                  |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                    |
| ------------------------ | ------------------------- |
| 2000-01-10T00:00:00.000Z | 10/01/2000                |
| 2000-01-05T00:00:00.000Z | พุธ เวลา 0:00 น.          |
| 2000-01-02T00:00:00.000Z | พรุ่งนี้เวลา 0:00 น.      |
| 2000-01-01T00:00:00.000Z | วันนี้เวลา 0:00 น.        |
| 1999-12-31T00:00:00.000Z | เมื่อวานนี้เวลา 0:00 น.   |
| 1999-12-27T00:00:00.000Z | จันทร์ที่แล้วเวลา 0:00 น. |
| 1999-12-21T00:00:00.000Z | 21/12/1999                |
