# Bengali (bn) locale

## `format` and `parse`

| Title                           | Token string | Date                        | `format` result                                             | `parse` result              | Equals |
| ------------------------------- | ------------ | --------------------------- | ----------------------------------------------------------- | --------------------------- | ------ |
| Era                             | G            | 1987-02-11T12:13:14.015Z    | খ্রিঃ                                                       | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | খ্রিঃপূর্ব                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GG           | 1987-02-11T12:13:14.015Z    | খ্রিঃ                                                       | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | খ্রিঃপূর্ব                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGG          | 1987-02-11T12:13:14.015Z    | খ্রিঃ                                                       | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | খ্রিঃপূর্ব                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGG         | 1987-02-11T12:13:14.015Z    | খ্রিস্টাব্দ                                                 | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | খ্রিস্টপূর্ব                                                | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGGG        | 1987-02-11T12:13:14.015Z    | খ্রিঃ                                                       | 0010-01-01T00:00:00.000Z    | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | খ্রিঃপূঃ                                                    | -000009-01-01T00:00:00.000Z | ❌     |
| Calendar year                   | y            | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                           | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yo           | 1987-02-11T12:13:14.015Z    | ১৯৮৭তম                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | ৫ম                                                          | Invalid Date                | ❌     |
|                                 | yy           | 1987-02-11T12:13:14.015Z    | 87                                                          | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                          | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyy          | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                         | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyy         | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyyy        | 1987-02-11T12:13:14.015Z    | 01987                                                       | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
| Local week-numbering year       | Y            | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                           | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | Yo           | 1987-02-11T12:13:14.015Z    | ১৯৮৭তম                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | ৫ম                                                          | Invalid Date                | ❌     |
|                                 | YY           | 1987-02-11T12:13:14.015Z    | 87                                                          | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                          | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYY          | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                         | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYYY         | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                        | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYYYY        | 1987-02-11T12:13:14.015Z    | 01987                                                       | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                       | 0004-12-26T00:00:00.000Z    | ❌     |
| ISO week-numbering year         | R            | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4                                                           | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RR           | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 04                                                          | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRR          | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 004                                                         | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRR         | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0004                                                        | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRRR        | 1987-02-11T12:13:14.015Z    | 01987                                                       | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00004                                                       | 0003-12-29T00:00:00.000Z    | ❌     |
| Extended year                   | u            | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                           | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uu           | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                          | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuu          | 1987-02-11T12:13:14.015Z    | 1987                                                        | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                         | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuu         | 1987-02-11T12:13:14.015Z    | 1987                                                        | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuuu        | 1987-02-11T12:13:14.015Z    | 01987                                                       | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
| Quarter (formatting)            | Q            | 2019-01-01T12:13:14.015Z    | 1                                                           | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                           | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | Qo           | 2019-01-01T12:13:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 | QQ           | 2019-01-01T12:13:14.015Z    | 01                                                          | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                          | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z    | ১ত্রৈ                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২ত্রৈ                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z    | ১ম ত্রৈমাসিক                                                | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২য় ত্রৈমাসিক                                                | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z    | ১                                                           | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২                                                           | 2019-04-01T00:00:00.000Z    | ❌     |
| Quarter (stand-alone)           | q            | 2019-01-01T12:13:14.015Z    | 1                                                           | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                           | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qo           | 2019-01-01T12:13:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 | qq           | 2019-01-01T12:13:14.015Z    | 01                                                          | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                          | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqq          | 2019-01-01T12:13:14.015Z    | ১ত্রৈ                                                       | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২ত্রৈ                                                       | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z    | ১ম ত্রৈমাসিক                                                | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২য় ত্রৈমাসিক                                                | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqqqq        | 2019-01-01T12:13:14.015Z    | ১                                                           | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ২                                                           | 2019-04-01T00:00:00.000Z    | ❌     |
| Month (formatting)              | M            | 2019-02-11T12:13:14.015Z    | 2                                                           | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                           | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Mo           | 2019-02-11T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ৭ম                                                          | Invalid Date                | ❌     |
|                                 | MM           | 2019-02-11T12:13:14.015Z    | 02                                                          | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                          | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMM          | 2019-02-11T12:13:14.015Z    | ফেব্রু                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z    | ফেব্রুয়ারি                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z    | ফেব্রু                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
| Month (stand-alone)             | L            | 2019-02-11T12:13:14.015Z    | 2                                                           | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                           | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Lo           | 2019-02-11T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ৭ম                                                          | Invalid Date                | ❌     |
|                                 | LL           | 2019-02-11T12:13:14.015Z    | 02                                                          | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                          | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLL          | 2019-02-11T12:13:14.015Z    | ফেব্রু                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z    | ফেব্রুয়ারি                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z    | ফেব্রু                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | জুলাই                                                       | 2019-07-01T00:00:00.000Z    | ❌     |
| Local week of year              | w            | 2019-01-01T12:13:14.015Z    | 1                                                           | 2018-12-30T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 49                                                          | 2019-12-01T00:00:00.000Z    | ❌     |
|                                 | wo           | 2019-01-01T12:13:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | ৪৯তম                                                        | Invalid Date                | ❌     |
|                                 | ww           | 2019-01-01T12:13:14.015Z    | 01                                                          | 2018-12-30T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 49                                                          | 2019-12-01T00:00:00.000Z    | ❌     |
| ISO week of year                | I            | 2019-01-01T12:13:14.015Z    | 1                                                           | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                          | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | Io           | 2019-01-01T12:13:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | ৪৮তম                                                        | Invalid Date                | ❌     |
|                                 | II           | 2019-01-01T12:13:14.015Z    | 01                                                          | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                          | 2019-11-25T00:00:00.000Z    | ❌     |
| Day of month                    | d            | 2019-02-11T12:13:14.015Z    | 11                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                          | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | do           | 2019-02-11T12:13:14.015Z    | ১১ই                                                         | Invalid Date                | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | ২৮শে                                                        | Invalid Date                | ❌     |
|                                 | dd           | 2019-02-11T12:13:14.015Z    | 11                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                          | 2019-02-28T00:00:00.000Z    | ❌     |
| Day of year                     | D            | 2019-02-11T12:13:14.015Z    | 42                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                         | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | Do           | 2019-02-11T12:13:14.015Z    | ৪২তম                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | ৩৬৫তম                                                       | Invalid Date                | ❌     |
|                                 | DD           | 2019-02-11T12:13:14.015Z    | 42                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                         | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDD          | 2019-02-11T12:13:14.015Z    | 042                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                         | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDDD         | 2019-02-11T12:13:14.015Z    | 0042                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 0365                                                        | 2019-12-31T00:00:00.000Z    | ❌     |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EE           | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEE          | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z    | সোমবার                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্রবার                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z    | সো                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শু                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| ISO day of week (formatting)    | i            | 2019-02-11T12:13:14.015Z    | 1                                                           | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                           | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | io           | 2019-02-11T12:13:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ৫ম                                                          | Invalid Date                | ❌     |
|                                 | ii           | 2019-02-11T12:13:14.015Z    | 01                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iii          | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiii         | 2019-02-11T12:13:14.015Z    | সোমবার                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্রবার                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z    | সো                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শু                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (formatting)  | e            | 2019-02-11T12:13:14.015Z    | 2                                                           | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                           | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eo           | 2019-02-11T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ৬ষ্ঠ                                                        | Invalid Date                | ❌     |
|                                 | ee           | 2019-02-11T12:13:14.015Z    | 02                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 06                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eee          | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeee         | 2019-02-11T12:13:14.015Z    | সোমবার                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্রবার                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z    | সো                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শু                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (stand-alone) | c            | 2019-02-11T12:13:14.015Z    | 2                                                           | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                           | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | co           | 2019-02-11T12:13:14.015Z    | ২য়                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ৬ষ্ঠ                                                        | Invalid Date                | ❌     |
|                                 | cc           | 2019-02-11T12:13:14.015Z    | 02                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 06                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccc          | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccc         | 2019-02-11T12:13:14.015Z    | সোমবার                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্রবার                                                    | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z    | সো                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শু                                                          | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z    | সোম                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | শুক্র                                                       | 2019-02-15T00:00:00.000Z    | ❌     |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aa           | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaa          | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z    | পূ                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপ                                                          | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপ                                                          | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূ                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bb           | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbb          | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপরাহ্ন                                                     | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূর্বাহ্ন                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z    | পূ                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | অপ                                                          | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | অপ                                                          | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | পূ                                                          | 2019-02-11T00:00:00.000Z    | ❌     |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z    | সকাল                                                        | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | বিকাল                                                       | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | সন্ধ্যা                                                     | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | রাত                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BB           | 2019-02-11T11:13:14.015Z    | সকাল                                                        | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | বিকাল                                                       | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | সন্ধ্যা                                                     | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | রাত                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBB          | 2019-02-11T11:13:14.015Z    | সকাল                                                        | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | বিকাল                                                       | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | সন্ধ্যা                                                     | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | রাত                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z    | সকাল                                                        | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | বিকাল                                                       | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | সন্ধ্যা                                                     | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | রাত                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z    | সকাল                                                        | 2019-02-11T04:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | বিকাল                                                       | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | সন্ধ্যা                                                     | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | রাত                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
| Hour [1-12]                     | h            | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ho           | 2019-02-11T11:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 | hh           | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-23]                     | H            | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ho           | 2019-02-11T11:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | ২৩তম                                                        | Invalid Date                | ❌     |
|                                 | HH           | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-11]                     | K            | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ko           | 2019-02-11T11:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 | KK           | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [1-24]                     | k            | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ko           | 2019-02-11T11:13:14.015Z    | ১১তম                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | ২৩তম                                                        | Invalid Date                | ❌     |
|                                 | kk           | 2019-02-11T11:13:14.015Z    | 11                                                          | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                          | 2019-02-11T23:00:00.000Z    | ❌     |
| Minute                          | m            | 2019-01-01T12:01:14.015Z    | 1                                                           | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                          | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mo           | 2019-01-01T12:01:14.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | ৫৫তম                                                        | Invalid Date                | ❌     |
|                                 | mm           | 2019-01-01T12:01:14.015Z    | 01                                                          | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                          | 2019-04-01T12:55:00.000Z    | ❌     |
| Second                          | s            | 2019-01-01T12:13:01.015Z    | 1                                                           | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                          | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | so           | 2019-01-01T12:13:01.015Z    | ১ম                                                          | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | ৫৫তম                                                        | Invalid Date                | ❌     |
|                                 | ss           | 2019-01-01T12:13:01.015Z    | 01                                                          | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                          | 2019-04-01T12:13:55.000Z    | ❌     |
| Fraction of second              | S            | 2019-01-01T12:13:14.001Z    | 0                                                           | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9                                                           | 2019-04-01T12:13:14.900Z    | ❌     |
|                                 | SS           | 2019-01-01T12:13:14.001Z    | 00                                                          | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 99                                                          | 2019-04-01T12:13:14.990Z    | ❌     |
|                                 | SSS          | 2019-01-01T12:13:14.001Z    | 001                                                         | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 999                                                         | 2019-04-01T12:13:14.999Z    | ✅     |
|                                 | SSSS         | 2019-01-01T12:13:14.001Z    | 0010                                                        | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9990                                                        | 2019-04-01T12:13:14.999Z    | ✅     |
| Timezone (ISO-8601 w/ Z)        | X            | 2019-02-11T12:13:14.015Z    | Z                                                           | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XX           | 2019-02-11T12:13:14.015Z    | Z                                                           | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXX          | 2019-02-11T12:13:14.015Z    | Z                                                           | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXX         | 2019-02-11T12:13:14.015Z    | Z                                                           | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXXX        | 2019-02-11T12:13:14.015Z    | Z                                                           | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (ISO-8601 w/o Z)       | x            | 2019-02-11T12:13:14.015Z    | +00                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xx           | 2019-02-11T12:13:14.015Z    | +0000                                                       | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxx          | 2019-02-11T12:13:14.015Z    | +00:00                                                      | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxx         | 2019-02-11T12:13:14.015Z    | +0000                                                       | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxxx        | 2019-02-11T12:13:14.015Z    | +00:00                                                      | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (GMT)                  | O            | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | OO           | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | OOO          | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | OOOO         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                   | NA                          | NA     |
| Timezone (specific non-locat.)  | z            | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | zz           | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | zzz          | 2019-02-11T12:13:14.015Z    | GMT+0                                                       | NA                          | NA     |
|                                 | zzzz         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                   | NA                          | NA     |
| Seconds timestamp               | t            | 1970-01-01T00:00:00.000Z    | 0                                                           | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                   | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | tt           | 1970-01-01T00:00:00.000Z    | 00                                                          | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                   | 1987-02-11T00:00:00.000Z    | ✅     |
| Milliseconds timestamp          | T            | 1970-01-01T00:00:00.000Z    | 0                                                           | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                                | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | TT           | 1970-01-01T00:00:00.000Z    | 00                                                          | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                                | 1987-02-11T00:00:00.000Z    | ✅     |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z    | 02/11/1987                                                  | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 05/29/1453                                                  | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PP           | 1987-02-11T12:13:14.015Z    | ফেব্রু 11, 1987                                             | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | মে 29, 1453                                                 | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PPP          | 1987-02-11T12:13:14.015Z    | ফেব্রুয়ারি ১১ই, 1987                                        | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | মে ২৯শে, 1453                                               | Invalid Date                | ❌     |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z    | বুধবার, ফেব্রুয়ারি ১১ই, 1987                                | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | রবিবার, মে ২৯শে, 1453                                       | Invalid Date                | ❌     |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z    | 12:13 অপরাহ্ন                                               | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59 অপরাহ্ন                                               | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | pp           | 1987-02-11T12:13:14.015Z    | 12:13:14 অপরাহ্ন                                            | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 অপরাহ্ন                                            | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | ppp          | 1987-02-11T12:13:14.015Z    | 12:13:14 অপরাহ্ন GMT+0                                      | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 অপরাহ্ন GMT+0                                      | Errored                     | ❌     |
|                                 | pppp         | 1987-02-11T12:13:14.015Z    | 12:13:14 অপরাহ্ন GMT+00:00                                  | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 অপরাহ্ন GMT+00:00                                  | Errored                     | ❌     |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z    | 02/11/1987, 12:13 অপরাহ্ন                                   | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 05/29/1453, 11:59 অপরাহ্ন                                   | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z    | ফেব্রু 11, 1987, 12:13:14 অপরাহ্ন                           | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | মে 29, 1453, 11:59:59 অপরাহ্ন                               | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z    | ফেব্রুয়ারি ১১ই, 1987 12:13:14 অপরাহ্ন GMT+0 সময়             | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | মে ২৯শে, 1453 11:59:59 অপরাহ্ন GMT+0 সময়                    | Invalid Date                | ❌     |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z    | বুধবার, ফেব্রুয়ারি ১১ই, 1987 12:13:14 অপরাহ্ন GMT+00:00 সময় | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | রবিবার, মে ২৯শে, 1453 11:59:59 অপরাহ্ন GMT+00:00 সময়        | Invalid Date                | ❌     |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result        | `includeSeconds: true` | `addSuffix: true`      |
| ------------------------ | ------------- | ---------------------- | ---------------------- |
| 2006-01-01T00:00:00.000Z | প্রায় ৬ বছর   | প্রায় ৬ বছর            | প্রায় ৬ বছর এর মধ্যে   |
| 2005-01-01T00:00:00.000Z | প্রায় ৫ বছর   | প্রায় ৫ বছর            | প্রায় ৫ বছর এর মধ্যে   |
| 2004-01-01T00:00:00.000Z | প্রায় ৪ বছর   | প্রায় ৪ বছর            | প্রায় ৪ বছর এর মধ্যে   |
| 2003-01-01T00:00:00.000Z | প্রায় ৩ বছর   | প্রায় ৩ বছর            | প্রায় ৩ বছর এর মধ্যে   |
| 2002-01-01T00:00:00.000Z | প্রায় ২ বছর   | প্রায় ২ বছর            | প্রায় ২ বছর এর মধ্যে   |
| 2001-06-01T00:00:00.000Z | ১ বছরের বেশি  | ১ বছরের বেশি           | ১ বছরের বেশি এর মধ্যে  |
| 2001-02-01T00:00:00.000Z | প্রায় ১ বছর   | প্রায় ১ বছর            | প্রায় ১ বছর এর মধ্যে   |
| 2001-01-01T00:00:00.000Z | প্রায় ১ বছর   | প্রায় ১ বছর            | প্রায় ১ বছর এর মধ্যে   |
| 2000-06-01T00:00:00.000Z | ৫ মাস         | ৫ মাস                  | ৫ মাস এর মধ্যে         |
| 2000-03-01T00:00:00.000Z | ২ মাস         | ২ মাস                  | ২ মাস এর মধ্যে         |
| 2000-02-01T00:00:00.000Z | প্রায় ১ মাস   | প্রায় ১ মাস            | প্রায় ১ মাস এর মধ্যে   |
| 2000-01-15T00:00:00.000Z | ১৪ দিন        | ১৪ দিন                 | ১৪ দিন এর মধ্যে        |
| 2000-01-02T00:00:00.000Z | ১ দিন         | ১ দিন                  | ১ দিন এর মধ্যে         |
| 2000-01-01T06:00:00.000Z | প্রায় ৬ ঘন্টা | প্রায় ৬ ঘন্টা          | প্রায় ৬ ঘন্টা এর মধ্যে |
| 2000-01-01T01:00:00.000Z | প্রায় ১ ঘন্টা | প্রায় ১ ঘন্টা          | প্রায় ১ ঘন্টা এর মধ্যে |
| 2000-01-01T00:45:00.000Z | প্রায় ১ ঘন্টা | প্রায় ১ ঘন্টা          | প্রায় ১ ঘন্টা এর মধ্যে |
| 2000-01-01T00:30:00.000Z | ৩০ মিনিট      | ৩০ মিনিট               | ৩০ মিনিট এর মধ্যে      |
| 2000-01-01T00:15:00.000Z | ১৫ মিনিট      | ১৫ মিনিট               | ১৫ মিনিট এর মধ্যে      |
| 2000-01-01T00:01:00.000Z | ১ মিনিট       | ১ মিনিট                | ১ মিনিট এর মধ্যে       |
| 2000-01-01T00:00:25.000Z | প্রায় ১ মিনিট | আধ মিনিট               | প্রায় ১ মিনিট এর মধ্যে |
| 2000-01-01T00:00:15.000Z | প্রায় ১ মিনিট | প্রায় ২০ সেকেন্ড       | প্রায় ১ মিনিট এর মধ্যে |
| 2000-01-01T00:00:05.000Z | প্রায় ১ মিনিট | প্রায় ১০ সেকেন্ড       | প্রায় ১ মিনিট এর মধ্যে |
| 2000-01-01T00:00:00.000Z | প্রায় ১ মিনিট | প্রায় ৫ সেকেন্ড        | প্রায় ১ মিনিট আগে      |
| 1999-12-31T23:59:55.000Z | প্রায় ১ মিনিট | প্রায় ১০ সেকেন্ড       | প্রায় ১ মিনিট আগে      |
| 1999-12-31T23:59:45.000Z | প্রায় ১ মিনিট | প্রায় ২০ সেকেন্ড       | প্রায় ১ মিনিট আগে      |
| 1999-12-31T23:59:35.000Z | প্রায় ১ মিনিট | আধ মিনিট               | প্রায় ১ মিনিট আগে      |
| 1999-12-31T23:59:00.000Z | ১ মিনিট       | ১ মিনিট                | ১ মিনিট আগে            |
| 1999-12-31T23:45:00.000Z | ১৫ মিনিট      | ১৫ মিনিট               | ১৫ মিনিট আগে           |
| 1999-12-31T23:30:00.000Z | ৩০ মিনিট      | ৩০ মিনিট               | ৩০ মিনিট আগে           |
| 1999-12-31T23:15:00.000Z | প্রায় ১ ঘন্টা | প্রায় ১ ঘন্টা          | প্রায় ১ ঘন্টা আগে      |
| 1999-12-31T23:00:00.000Z | প্রায় ১ ঘন্টা | প্রায় ১ ঘন্টা          | প্রায় ১ ঘন্টা আগে      |
| 1999-12-31T18:00:00.000Z | প্রায় ৬ ঘন্টা | প্রায় ৬ ঘন্টা          | প্রায় ৬ ঘন্টা আগে      |
| 1999-12-30T00:00:00.000Z | ২ দিন         | ২ দিন                  | ২ দিন আগে              |
| 1999-12-15T00:00:00.000Z | ১৭ দিন        | ১৭ দিন                 | ১৭ দিন আগে             |
| 1999-12-01T00:00:00.000Z | প্রায় ১ মাস   | প্রায় ১ মাস            | প্রায় ১ মাস আগে        |
| 1999-11-01T00:00:00.000Z | ২ মাস         | ২ মাস                  | ২ মাস আগে              |
| 1999-06-01T00:00:00.000Z | ৭ মাস         | ৭ মাস                  | ৭ মাস আগে              |
| 1999-01-01T00:00:00.000Z | প্রায় ১ বছর   | প্রায় ১ বছর            | প্রায় ১ বছর আগে        |
| 1998-12-01T00:00:00.000Z | প্রায় ১ বছর   | প্রায় ১ বছর            | প্রায় ১ বছর আগে        |
| 1998-06-01T00:00:00.000Z | ১ বছরের বেশি  | ১ বছরের বেশি           | ১ বছরের বেশি আগে       |
| 1998-01-01T00:00:00.000Z | প্রায় ২ বছর   | প্রায় ২ বছর            | প্রায় ২ বছর আগে        |
| 1997-01-01T00:00:00.000Z | প্রায় ৩ বছর   | প্রায় ৩ বছর            | প্রায় ৩ বছর আগে        |
| 1996-01-01T00:00:00.000Z | প্রায় ৪ বছর   | প্রায় ৪ বছর            | প্রায় ৪ বছর আগে        |
| 1995-01-01T00:00:00.000Z | প্রায় ৫ বছর   | প্রায় ৫ বছর            | প্রায় ৫ বছর আগে        |
| 1994-01-01T00:00:00.000Z | প্রায় ৬ বছর   | প্রায় ৬ বছর            | প্রায় ৬ বছর আগে        |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result     | `addSuffix: true`   | With forced unit (i.e. `hour`) |
| ------------------------ | ---------- | ------------------- | ------------------------------ |
| 2006-01-01T00:00:00.000Z | ৬ বছর      | ৬ বছর এর মধ্যে      | ৫২৬০৮ ঘন্টা                    |
| 2005-01-01T00:00:00.000Z | ৫ বছর      | ৫ বছর এর মধ্যে      | ৪৩৮৪৮ ঘন্টা                    |
| 2004-01-01T00:00:00.000Z | ৪ বছর      | ৪ বছর এর মধ্যে      | ৩৫০৬৪ ঘন্টা                    |
| 2003-01-01T00:00:00.000Z | ৩ বছর      | ৩ বছর এর মধ্যে      | ২৬৩০৪ ঘন্টা                    |
| 2002-01-01T00:00:00.000Z | ২ বছর      | ২ বছর এর মধ্যে      | ১৭৫৪৪ ঘন্টা                    |
| 2001-06-01T00:00:00.000Z | ১ বছর      | ১ বছর এর মধ্যে      | ১২৪০৮ ঘন্টা                    |
| 2001-02-01T00:00:00.000Z | ১ বছর      | ১ বছর এর মধ্যে      | ৯৫২৮ ঘন্টা                     |
| 2001-01-01T00:00:00.000Z | ১ বছর      | ১ বছর এর মধ্যে      | ৮৭৮৪ ঘন্টা                     |
| 2000-06-01T00:00:00.000Z | ৫ মাস      | ৫ মাস এর মধ্যে      | ৩৬৪৮ ঘন্টা                     |
| 2000-03-01T00:00:00.000Z | ২ মাস      | ২ মাস এর মধ্যে      | ১৪৪০ ঘন্টা                     |
| 2000-02-01T00:00:00.000Z | ১ মাস      | ১ মাস এর মধ্যে      | ৭৪৪ ঘন্টা                      |
| 2000-01-15T00:00:00.000Z | ১৪ দিন     | ১৪ দিন এর মধ্যে     | ৩৩৬ ঘন্টা                      |
| 2000-01-02T00:00:00.000Z | ১ দিন      | ১ দিন এর মধ্যে      | ২৪ ঘন্টা                       |
| 2000-01-01T06:00:00.000Z | ৬ ঘন্টা    | ৬ ঘন্টা এর মধ্যে    | ৬ ঘন্টা                        |
| 2000-01-01T01:00:00.000Z | ১ ঘন্টা    | ১ ঘন্টা এর মধ্যে    | ১ ঘন্টা                        |
| 2000-01-01T00:45:00.000Z | ৪৫ মিনিট   | ৪৫ মিনিট এর মধ্যে   | ১ ঘন্টা                        |
| 2000-01-01T00:30:00.000Z | ৩০ মিনিট   | ৩০ মিনিট এর মধ্যে   | ১ ঘন্টা                        |
| 2000-01-01T00:15:00.000Z | ১৫ মিনিট   | ১৫ মিনিট এর মধ্যে   | ০ ঘন্টা                        |
| 2000-01-01T00:01:00.000Z | ১ মিনিট    | ১ মিনিট এর মধ্যে    | ০ ঘন্টা                        |
| 2000-01-01T00:00:25.000Z | ২৫ সেকেন্ড | ২৫ সেকেন্ড এর মধ্যে | ০ ঘন্টা                        |
| 2000-01-01T00:00:15.000Z | ১৫ সেকেন্ড | ১৫ সেকেন্ড এর মধ্যে | ০ ঘন্টা                        |
| 2000-01-01T00:00:05.000Z | ৫ সেকেন্ড  | ৫ সেকেন্ড এর মধ্যে  | ০ ঘন্টা                        |
| 2000-01-01T00:00:00.000Z | ০ সেকেন্ড  | ০ সেকেন্ড আগে       | ০ ঘন্টা                        |
| 1999-12-31T23:59:55.000Z | ৫ সেকেন্ড  | ৫ সেকেন্ড আগে       | ০ ঘন্টা                        |
| 1999-12-31T23:59:45.000Z | ১৫ সেকেন্ড | ১৫ সেকেন্ড আগে      | ০ ঘন্টা                        |
| 1999-12-31T23:59:35.000Z | ২৫ সেকেন্ড | ২৫ সেকেন্ড আগে      | ০ ঘন্টা                        |
| 1999-12-31T23:59:00.000Z | ১ মিনিট    | ১ মিনিট আগে         | ০ ঘন্টা                        |
| 1999-12-31T23:45:00.000Z | ১৫ মিনিট   | ১৫ মিনিট আগে        | ০ ঘন্টা                        |
| 1999-12-31T23:30:00.000Z | ৩০ মিনিট   | ৩০ মিনিট আগে        | ১ ঘন্টা                        |
| 1999-12-31T23:15:00.000Z | ৪৫ মিনিট   | ৪৫ মিনিট আগে        | ১ ঘন্টা                        |
| 1999-12-31T23:00:00.000Z | ১ ঘন্টা    | ১ ঘন্টা আগে         | ১ ঘন্টা                        |
| 1999-12-31T18:00:00.000Z | ৬ ঘন্টা    | ৬ ঘন্টা আগে         | ৬ ঘন্টা                        |
| 1999-12-30T00:00:00.000Z | ২ দিন      | ২ দিন আগে           | ৪৮ ঘন্টা                       |
| 1999-12-15T00:00:00.000Z | ১৭ দিন     | ১৭ দিন আগে          | ৪০৮ ঘন্টা                      |
| 1999-12-01T00:00:00.000Z | ১ মাস      | ১ মাস আগে           | ৭৪৪ ঘন্টা                      |
| 1999-11-01T00:00:00.000Z | ২ মাস      | ২ মাস আগে           | ১৪৬৪ ঘন্টা                     |
| 1999-06-01T00:00:00.000Z | ৭ মাস      | ৭ মাস আগে           | ৫১৩৬ ঘন্টা                     |
| 1999-01-01T00:00:00.000Z | ১ বছর      | ১ বছর আগে           | ৮৭৬০ ঘন্টা                     |
| 1998-12-01T00:00:00.000Z | ১ বছর      | ১ বছর আগে           | ৯৫০৪ ঘন্টা                     |
| 1998-06-01T00:00:00.000Z | ২ বছর      | ২ বছর আগে           | ১৩৮৯৬ ঘন্টা                    |
| 1998-01-01T00:00:00.000Z | ২ বছর      | ২ বছর আগে           | ১৭৫২০ ঘন্টা                    |
| 1997-01-01T00:00:00.000Z | ৩ বছর      | ৩ বছর আগে           | ২৬২৮০ ঘন্টা                    |
| 1996-01-01T00:00:00.000Z | ৪ বছর      | ৪ বছর আগে           | ৩৫০৬৪ ঘন্টা                    |
| 1995-01-01T00:00:00.000Z | ৫ বছর      | ৫ বছর আগে           | ৪৩৮২৪ ঘন্টা                    |
| 1994-01-01T00:00:00.000Z | ৬ বছর      | ৬ বছর আগে           | ৫২৫৮৪ ঘন্টা                    |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                        |
| ------------------------ | ----------------------------- |
| 2000-01-10T00:00:00.000Z | 01/10/2000                    |
| 2000-01-05T00:00:00.000Z | বুধবার সময় 12:00 পূর্বাহ্ন    |
| 2000-01-02T00:00:00.000Z | আগামীকাল সময় 12:00 পূর্বাহ্ন  |
| 2000-01-01T00:00:00.000Z | আজ সময় 12:00 পূর্বাহ্ন        |
| 1999-12-31T00:00:00.000Z | গতকাল সময় 12:00 পূর্বাহ্ন     |
| 1999-12-27T00:00:00.000Z | গত সোমবার সময় 12:00 পূর্বাহ্ন |
| 1999-12-21T00:00:00.000Z | 12/21/1999                    |
