# Icelandic (is) locale

## `format` and `parse`

| Title                           | Token string | Date                        | `format` result                                           | `parse` result              | Equals |
| ------------------------------- | ------------ | --------------------------- | --------------------------------------------------------- | --------------------------- | ------ |
| Era                             | G            | 1987-02-11T12:13:14.015Z    | e.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | f.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GG           | 1987-02-11T12:13:14.015Z    | e.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | f.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGG          | 1987-02-11T12:13:14.015Z    | e.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | f.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGG         | 1987-02-11T12:13:14.015Z    | eftir Krist                                               | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | fyrir Krist                                               | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGGG        | 1987-02-11T12:13:14.015Z    | e.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | f.Kr.                                                     | -000009-01-01T00:00:00.000Z | ❌     |
| Calendar year                   | y            | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                         | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yo           | 1987-02-11T12:13:14.015Z    | 1987.                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5.                                                        | Invalid Date                | ❌     |
|                                 | yy           | 1987-02-11T12:13:14.015Z    | 87                                                        | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyy          | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyy         | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                      | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyyy        | 1987-02-11T12:13:14.015Z    | 01987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                     | 0005-01-01T00:00:00.000Z    | ❌     |
| Local week-numbering year       | Y            | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4                                                         | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | Yo           | 1987-02-11T12:13:14.015Z    | 1987.                                                     | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4.                                                        | Invalid Date                | ❌     |
|                                 | YY           | 1987-02-11T12:13:14.015Z    | 87                                                        | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 04                                                        | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | YYY          | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 004                                                       | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | YYYY         | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0004                                                      | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | YYYYY        | 1987-02-11T12:13:14.015Z    | 01987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00004                                                     | 0003-12-29T00:00:00.000Z    | ❌     |
| ISO week-numbering year         | R            | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4                                                         | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RR           | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 04                                                        | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRR          | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 004                                                       | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRR         | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0004                                                      | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRRR        | 1987-02-11T12:13:14.015Z    | 01987                                                     | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00004                                                     | 0003-12-29T00:00:00.000Z    | ❌     |
| Extended year                   | u            | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                         | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uu           | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                        | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuu          | 1987-02-11T12:13:14.015Z    | 1987                                                      | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                       | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuu         | 1987-02-11T12:13:14.015Z    | 1987                                                      | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                                      | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuuu        | 1987-02-11T12:13:14.015Z    | 01987                                                     | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                                     | 0005-01-01T00:00:00.000Z    | ❌     |
| Quarter (formatting)            | Q            | 2019-01-01T12:13:14.015Z    | 1                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                         | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | Qo           | 2019-01-01T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2.                                                        | Invalid Date                | ❌     |
|                                 | QQ           | 2019-01-01T12:13:14.015Z    | 01                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z    | 1F                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2F                                                        | Invalid Date                | ❌     |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z    | 1. fjórðungur                                             | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2. fjórðungur                                             | Invalid Date                | ❌     |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z    | 1                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                         | 2019-04-01T00:00:00.000Z    | ❌     |
| Quarter (stand-alone)           | q            | 2019-01-01T12:13:14.015Z    | 1                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                         | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qo           | 2019-01-01T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2.                                                        | Invalid Date                | ❌     |
|                                 | qq           | 2019-01-01T12:13:14.015Z    | 01                                                        | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                        | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqq          | 2019-01-01T12:13:14.015Z    | 1F                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2F                                                        | Invalid Date                | ❌     |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z    | 1. fjórðungur                                             | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2. fjórðungur                                             | Invalid Date                | ❌     |
|                                 | qqqqq        | 2019-01-01T12:13:14.015Z    | 1                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                         | 2019-04-01T00:00:00.000Z    | ❌     |
| Month (formatting)              | M            | 2019-02-11T12:13:14.015Z    | 2                                                         | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                         | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Mo           | 2019-02-11T12:13:14.015Z    | 2.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7.                                                        | Invalid Date                | ❌     |
|                                 | MM           | 2019-02-11T12:13:14.015Z    | 02                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMM          | 2019-02-11T12:13:14.015Z    | feb.                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | júlí                                                      | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z    | febrúar                                                   | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | júlí                                                      | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z    | F                                                         | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | J                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
| Month (stand-alone)             | L            | 2019-02-11T12:13:14.015Z    | 2                                                         | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                         | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Lo           | 2019-02-11T12:13:14.015Z    | 2.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7.                                                        | Invalid Date                | ❌     |
|                                 | LL           | 2019-02-11T12:13:14.015Z    | 02                                                        | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                        | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLL          | 2019-02-11T12:13:14.015Z    | feb.                                                      | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | júlí                                                      | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z    | febrúar                                                   | Invalid Date                | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | júlí                                                      | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z    | F                                                         | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | J                                                         | 2019-01-01T00:00:00.000Z    | ❌     |
| Local week of year              | w            | 2019-01-01T12:13:14.015Z    | 1                                                         | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                        | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | wo           | 2019-01-01T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48.                                                       | Invalid Date                | ❌     |
|                                 | ww           | 2019-01-01T12:13:14.015Z    | 01                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                        | 2019-11-25T00:00:00.000Z    | ❌     |
| ISO week of year                | I            | 2019-01-01T12:13:14.015Z    | 1                                                         | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                        | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | Io           | 2019-01-01T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48.                                                       | Invalid Date                | ❌     |
|                                 | II           | 2019-01-01T12:13:14.015Z    | 01                                                        | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                        | 2019-11-25T00:00:00.000Z    | ❌     |
| Day of month                    | d            | 2019-02-11T12:13:14.015Z    | 11                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                        | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | do           | 2019-02-11T12:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28.                                                       | Invalid Date                | ❌     |
|                                 | dd           | 2019-02-11T12:13:14.015Z    | 11                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                        | 2019-02-28T00:00:00.000Z    | ❌     |
| Day of year                     | D            | 2019-02-11T12:13:14.015Z    | 42                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                       | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | Do           | 2019-02-11T12:13:14.015Z    | 42.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365.                                                      | Invalid Date                | ❌     |
|                                 | DD           | 2019-02-11T12:13:14.015Z    | 42                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                       | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDD          | 2019-02-11T12:13:14.015Z    | 042                                                       | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                       | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDDD         | 2019-02-11T12:13:14.015Z    | 0042                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 0365                                                      | 2019-12-31T00:00:00.000Z    | ❌     |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EE           | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEE          | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z    | mánudagur                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | föstudagur                                                | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z    | M                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | F                                                         | 2019-02-14T00:00:00.000Z    | ❌     |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z    | Má                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | Fö                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
| ISO day of week (formatting)    | i            | 2019-02-11T12:13:14.015Z    | 1                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                         | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | io           | 2019-02-11T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5.                                                        | Invalid Date                | ❌     |
|                                 | ii           | 2019-02-11T12:13:14.015Z    | 01                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iii          | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiii         | 2019-02-11T12:13:14.015Z    | mánudagur                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | föstudagur                                                | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z    | M                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | F                                                         | 2019-02-14T00:00:00.000Z    | ❌     |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z    | Má                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | Fö                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (formatting)  | e            | 2019-02-11T12:13:14.015Z    | 1                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                         | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eo           | 2019-02-11T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5.                                                        | Invalid Date                | ❌     |
|                                 | ee           | 2019-02-11T12:13:14.015Z    | 01                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eee          | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeee         | 2019-02-11T12:13:14.015Z    | mánudagur                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | föstudagur                                                | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z    | M                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | F                                                         | 2019-02-14T00:00:00.000Z    | ❌     |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z    | Má                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | Fö                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (stand-alone) | c            | 2019-02-11T12:13:14.015Z    | 1                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                         | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | co           | 2019-02-11T12:13:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5.                                                        | Invalid Date                | ❌     |
|                                 | cc           | 2019-02-11T12:13:14.015Z    | 01                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccc          | 2019-02-11T12:13:14.015Z    | mán.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | fös.                                                      | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccc         | 2019-02-11T12:13:14.015Z    | mánudagur                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | föstudagur                                                | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z    | M                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | F                                                         | 2019-02-14T00:00:00.000Z    | ❌     |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z    | Má                                                        | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | Fö                                                        | 2019-02-15T00:00:00.000Z    | ❌     |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aa           | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaa          | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z    | fyrir hádegi                                              | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | eftir hádegi                                              | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | eftir hádegi                                              | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | fyrir hádegi                                              | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z    | f                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e                                                         | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e                                                         | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bb           | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbb          | 2019-02-11T11:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e.h.                                                      | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f.h.                                                      | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z    | fyrir hádegi                                              | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | eftir hádegi                                              | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | eftir hádegi                                              | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | fyrir hádegi                                              | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z    | f                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | e                                                         | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | e                                                         | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | f                                                         | 2019-02-11T00:00:00.000Z    | ❌     |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z    | að morgni                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | síðdegis                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | um kvöld                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | um nótt                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BB           | 2019-02-11T11:13:14.015Z    | að morgni                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | síðdegis                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | um kvöld                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | um nótt                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBB          | 2019-02-11T11:13:14.015Z    | að morgni                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | síðdegis                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | um kvöld                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | um nótt                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z    | að morgni                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | síðdegis                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | um kvöld                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | um nótt                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z    | að morgni                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | síðdegis                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | um kvöld                                                  | 2019-02-11T17:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | um nótt                                                   | 2019-02-11T00:00:00.000Z    | ❌     |
| Hour [1-12]                     | h            | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ho           | 2019-02-11T11:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 | hh           | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-23]                     | H            | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ho           | 2019-02-11T11:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23.                                                       | Invalid Date                | ❌     |
|                                 | HH           | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-11]                     | K            | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ko           | 2019-02-11T11:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 | KK           | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [1-24]                     | k            | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ko           | 2019-02-11T11:13:14.015Z    | 11.                                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23.                                                       | Invalid Date                | ❌     |
|                                 | kk           | 2019-02-11T11:13:14.015Z    | 11                                                        | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                        | 2019-02-11T23:00:00.000Z    | ❌     |
| Minute                          | m            | 2019-01-01T12:01:14.015Z    | 1                                                         | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                        | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mo           | 2019-01-01T12:01:14.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55.                                                       | Invalid Date                | ❌     |
|                                 | mm           | 2019-01-01T12:01:14.015Z    | 01                                                        | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                        | 2019-04-01T12:55:00.000Z    | ❌     |
| Second                          | s            | 2019-01-01T12:13:01.015Z    | 1                                                         | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                        | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | so           | 2019-01-01T12:13:01.015Z    | 1.                                                        | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55.                                                       | Invalid Date                | ❌     |
|                                 | ss           | 2019-01-01T12:13:01.015Z    | 01                                                        | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                        | 2019-04-01T12:13:55.000Z    | ❌     |
| Fraction of second              | S            | 2019-01-01T12:13:14.001Z    | 0                                                         | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9                                                         | 2019-04-01T12:13:14.900Z    | ❌     |
|                                 | SS           | 2019-01-01T12:13:14.001Z    | 00                                                        | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 99                                                        | 2019-04-01T12:13:14.990Z    | ❌     |
|                                 | SSS          | 2019-01-01T12:13:14.001Z    | 001                                                       | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 999                                                       | 2019-04-01T12:13:14.999Z    | ✅     |
|                                 | SSSS         | 2019-01-01T12:13:14.001Z    | 0010                                                      | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9990                                                      | 2019-04-01T12:13:14.999Z    | ✅     |
| Timezone (ISO-8601 w/ Z)        | X            | 2019-02-11T12:13:14.015Z    | Z                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XX           | 2019-02-11T12:13:14.015Z    | Z                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXX          | 2019-02-11T12:13:14.015Z    | Z                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXX         | 2019-02-11T12:13:14.015Z    | Z                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXXX        | 2019-02-11T12:13:14.015Z    | Z                                                         | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (ISO-8601 w/o Z)       | x            | 2019-02-11T12:13:14.015Z    | +00                                                       | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xx           | 2019-02-11T12:13:14.015Z    | +0000                                                     | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxx          | 2019-02-11T12:13:14.015Z    | +00:00                                                    | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxx         | 2019-02-11T12:13:14.015Z    | +0000                                                     | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxxx        | 2019-02-11T12:13:14.015Z    | +00:00                                                    | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (GMT)                  | O            | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | OO           | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | OOO          | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | OOOO         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                 | NA                          | NA     |
| Timezone (specific non-locat.)  | z            | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | zz           | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | zzz          | 2019-02-11T12:13:14.015Z    | GMT+0                                                     | NA                          | NA     |
|                                 | zzzz         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                                 | NA                          | NA     |
| Seconds timestamp               | t            | 1970-01-01T00:00:00.000Z    | 0                                                         | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                 | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | tt           | 1970-01-01T00:00:00.000Z    | 00                                                        | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                                 | 1987-02-11T00:00:00.000Z    | ✅     |
| Milliseconds timestamp          | T            | 1970-01-01T00:00:00.000Z    | 0                                                         | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                              | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | TT           | 1970-01-01T00:00:00.000Z    | 00                                                        | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                              | 1987-02-11T00:00:00.000Z    | ✅     |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z    | 11.02.1987                                                | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29.05.1453                                                | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PP           | 1987-02-11T12:13:14.015Z    | 11. feb. 1987                                             | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29. maí 1453                                              | Invalid Date                | ❌     |
|                                 | PPP          | 1987-02-11T12:13:14.015Z    | 11. febrúar 1987                                          | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29. maí 1453                                              | Invalid Date                | ❌     |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z    | miðvikudagur, 11. febrúar 1987                            | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | sunnudagur, 29. maí 1453                                  | Invalid Date                | ❌     |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z    | 12:13                                                     | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59                                                     | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | pp           | 1987-02-11T12:13:14.015Z    | 12:13:14                                                  | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59:59                                                  | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | ppp          | 1987-02-11T12:13:14.015Z    | 12:13:14 GMT+0                                            | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 23:59:59 GMT+0                                            | Errored                     | ❌     |
|                                 | pppp         | 1987-02-11T12:13:14.015Z    | kl. 12:13:14 GMT+00:00                                    | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | kl. 23:59:59 GMT+00:00                                    | Errored                     | ❌     |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z    | 11.02.1987 12:13                                          | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29.05.1453 23:59                                          | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z    | 11. feb. 1987 12:13:14                                    | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29. maí 1453 23:59:59                                     | Invalid Date                | ❌     |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z    | 11. febrúar 1987 kl. 12:13:14 GMT+0                       | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 29. maí 1453 kl. 23:59:59 GMT+0                           | Invalid Date                | ❌     |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z    | miðvikudagur, 11. febrúar 1987 kl. kl. 12:13:14 GMT+00:00 | Invalid Date                | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | sunnudagur, 29. maí 1453 kl. kl. 23:59:59 GMT+00:00       | Invalid Date                | ❌     |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result                 | `includeSeconds: true` | `addSuffix: true`            |
| ------------------------ | ---------------------- | ---------------------- | ---------------------------- |
| 2006-01-01T00:00:00.000Z | u.þ.b. 6 ár            | u.þ.b. 6 ár            | í u.þ.b. 6 ár                |
| 2005-01-01T00:00:00.000Z | u.þ.b. 5 ár            | u.þ.b. 5 ár            | í u.þ.b. 5 ár                |
| 2004-01-01T00:00:00.000Z | u.þ.b. 4 ár            | u.þ.b. 4 ár            | í u.þ.b. 4 ár                |
| 2003-01-01T00:00:00.000Z | u.þ.b. 3 ár            | u.þ.b. 3 ár            | í u.þ.b. 3 ár                |
| 2002-01-01T00:00:00.000Z | u.þ.b. 2 ár            | u.þ.b. 2 ár            | í u.þ.b. 2 ár                |
| 2001-06-01T00:00:00.000Z | meira en 1 ár          | meira en 1 ár          | í meira en 1 ár              |
| 2001-02-01T00:00:00.000Z | u.þ.b. 1 ár            | u.þ.b. 1 ár            | í u.þ.b. 1 ár                |
| 2001-01-01T00:00:00.000Z | u.þ.b. 1 ár            | u.þ.b. 1 ár            | í u.þ.b. 1 ár                |
| 2000-06-01T00:00:00.000Z | 5 mánuðir              | 5 mánuðir              | í 5 mánuðir                  |
| 2000-03-01T00:00:00.000Z | 2 mánuðir              | 2 mánuðir              | í 2 mánuðir                  |
| 2000-02-01T00:00:00.000Z | u.þ.b. 1 mánuður       | u.þ.b. 1 mánuður       | í u.þ.b. 1 mánuður           |
| 2000-01-15T00:00:00.000Z | 14 dagar               | 14 dagar               | í 14 dagar                   |
| 2000-01-02T00:00:00.000Z | 1 dagur                | 1 dagur                | í 1 dagur                    |
| 2000-01-01T06:00:00.000Z | u.þ.b. 6 klukkustundir | u.þ.b. 6 klukkustundir | í u.þ.b. 6 klukkustundir     |
| 2000-01-01T01:00:00.000Z | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund   | í u.þ.b. 1 klukkustund       |
| 2000-01-01T00:45:00.000Z | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund   | í u.þ.b. 1 klukkustund       |
| 2000-01-01T00:30:00.000Z | 30 mínútur             | 30 mínútur             | í 30 mínútur                 |
| 2000-01-01T00:15:00.000Z | 15 mínútur             | 15 mínútur             | í 15 mínútur                 |
| 2000-01-01T00:01:00.000Z | 1 mínúta               | 1 mínúta               | í 1 mínúta                   |
| 2000-01-01T00:00:25.000Z | minna en 1 mínúta      | hálf mínúta            | í minna en 1 mínúta          |
| 2000-01-01T00:00:15.000Z | minna en 1 mínúta      | minna en 20 sekúndur   | í minna en 1 mínúta          |
| 2000-01-01T00:00:05.000Z | minna en 1 mínúta      | minna en 10 sekúndur   | í minna en 1 mínúta          |
| 2000-01-01T00:00:00.000Z | minna en 1 mínúta      | minna en 5 sekúndur    | minna en 1 mínúta síðan      |
| 1999-12-31T23:59:55.000Z | minna en 1 mínúta      | minna en 10 sekúndur   | minna en 1 mínúta síðan      |
| 1999-12-31T23:59:45.000Z | minna en 1 mínúta      | minna en 20 sekúndur   | minna en 1 mínúta síðan      |
| 1999-12-31T23:59:35.000Z | minna en 1 mínúta      | hálf mínúta            | minna en 1 mínúta síðan      |
| 1999-12-31T23:59:00.000Z | 1 mínúta               | 1 mínúta               | 1 mínúta síðan               |
| 1999-12-31T23:45:00.000Z | 15 mínútur             | 15 mínútur             | 15 mínútur síðan             |
| 1999-12-31T23:30:00.000Z | 30 mínútur             | 30 mínútur             | 30 mínútur síðan             |
| 1999-12-31T23:15:00.000Z | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund síðan   |
| 1999-12-31T23:00:00.000Z | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund   | u.þ.b. 1 klukkustund síðan   |
| 1999-12-31T18:00:00.000Z | u.þ.b. 6 klukkustundir | u.þ.b. 6 klukkustundir | u.þ.b. 6 klukkustundir síðan |
| 1999-12-30T00:00:00.000Z | 2 dagar                | 2 dagar                | 2 dagar síðan                |
| 1999-12-15T00:00:00.000Z | 17 dagar               | 17 dagar               | 17 dagar síðan               |
| 1999-12-01T00:00:00.000Z | u.þ.b. 1 mánuður       | u.þ.b. 1 mánuður       | u.þ.b. 1 mánuður síðan       |
| 1999-11-01T00:00:00.000Z | 2 mánuðir              | 2 mánuðir              | 2 mánuðir síðan              |
| 1999-06-01T00:00:00.000Z | 7 mánuðir              | 7 mánuðir              | 7 mánuðir síðan              |
| 1999-01-01T00:00:00.000Z | u.þ.b. 1 ár            | u.þ.b. 1 ár            | u.þ.b. 1 ár síðan            |
| 1998-12-01T00:00:00.000Z | u.þ.b. 1 ár            | u.þ.b. 1 ár            | u.þ.b. 1 ár síðan            |
| 1998-06-01T00:00:00.000Z | meira en 1 ár          | meira en 1 ár          | meira en 1 ár síðan          |
| 1998-01-01T00:00:00.000Z | u.þ.b. 2 ár            | u.þ.b. 2 ár            | u.þ.b. 2 ár síðan            |
| 1997-01-01T00:00:00.000Z | u.þ.b. 3 ár            | u.þ.b. 3 ár            | u.þ.b. 3 ár síðan            |
| 1996-01-01T00:00:00.000Z | u.þ.b. 4 ár            | u.þ.b. 4 ár            | u.þ.b. 4 ár síðan            |
| 1995-01-01T00:00:00.000Z | u.þ.b. 5 ár            | u.þ.b. 5 ár            | u.þ.b. 5 ár síðan            |
| 1994-01-01T00:00:00.000Z | u.þ.b. 6 ár            | u.þ.b. 6 ár            | u.þ.b. 6 ár síðan            |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result          | `addSuffix: true`     | With forced unit (i.e. `hour`) |
| ------------------------ | --------------- | --------------------- | ------------------------------ |
| 2006-01-01T00:00:00.000Z | 6 ár            | í 6 ár                | 52608 klukkustundir            |
| 2005-01-01T00:00:00.000Z | 5 ár            | í 5 ár                | 43848 klukkustundir            |
| 2004-01-01T00:00:00.000Z | 4 ár            | í 4 ár                | 35064 klukkustundir            |
| 2003-01-01T00:00:00.000Z | 3 ár            | í 3 ár                | 26304 klukkustundir            |
| 2002-01-01T00:00:00.000Z | 2 ár            | í 2 ár                | 17544 klukkustundir            |
| 2001-06-01T00:00:00.000Z | 1 ár            | í 1 ár                | 12408 klukkustundir            |
| 2001-02-01T00:00:00.000Z | 1 ár            | í 1 ár                | 9528 klukkustundir             |
| 2001-01-01T00:00:00.000Z | 1 ár            | í 1 ár                | 8784 klukkustundir             |
| 2000-06-01T00:00:00.000Z | 5 mánuðir       | í 5 mánuðir           | 3648 klukkustundir             |
| 2000-03-01T00:00:00.000Z | 2 mánuðir       | í 2 mánuðir           | 1440 klukkustundir             |
| 2000-02-01T00:00:00.000Z | 1 mánuður       | í 1 mánuður           | 744 klukkustundir              |
| 2000-01-15T00:00:00.000Z | 14 dagar        | í 14 dagar            | 336 klukkustundir              |
| 2000-01-02T00:00:00.000Z | 1 dagur         | í 1 dagur             | 24 klukkustundir               |
| 2000-01-01T06:00:00.000Z | 6 klukkustundir | í 6 klukkustundir     | 6 klukkustundir                |
| 2000-01-01T01:00:00.000Z | 1 klukkustund   | í 1 klukkustund       | 1 klukkustund                  |
| 2000-01-01T00:45:00.000Z | 45 mínútur      | í 45 mínútur          | 1 klukkustund                  |
| 2000-01-01T00:30:00.000Z | 30 mínútur      | í 30 mínútur          | 1 klukkustund                  |
| 2000-01-01T00:15:00.000Z | 15 mínútur      | í 15 mínútur          | 0 klukkustundir                |
| 2000-01-01T00:01:00.000Z | 1 mínúta        | í 1 mínúta            | 0 klukkustundir                |
| 2000-01-01T00:00:25.000Z | 25 sekúndur     | í 25 sekúndur         | 0 klukkustundir                |
| 2000-01-01T00:00:15.000Z | 15 sekúndur     | í 15 sekúndur         | 0 klukkustundir                |
| 2000-01-01T00:00:05.000Z | 5 sekúndur      | í 5 sekúndur          | 0 klukkustundir                |
| 2000-01-01T00:00:00.000Z | 0 sekúndur      | 0 sekúndur síðan      | 0 klukkustundir                |
| 1999-12-31T23:59:55.000Z | 5 sekúndur      | 5 sekúndur síðan      | 0 klukkustundir                |
| 1999-12-31T23:59:45.000Z | 15 sekúndur     | 15 sekúndur síðan     | 0 klukkustundir                |
| 1999-12-31T23:59:35.000Z | 25 sekúndur     | 25 sekúndur síðan     | 0 klukkustundir                |
| 1999-12-31T23:59:00.000Z | 1 mínúta        | 1 mínúta síðan        | 0 klukkustundir                |
| 1999-12-31T23:45:00.000Z | 15 mínútur      | 15 mínútur síðan      | 0 klukkustundir                |
| 1999-12-31T23:30:00.000Z | 30 mínútur      | 30 mínútur síðan      | 1 klukkustund                  |
| 1999-12-31T23:15:00.000Z | 45 mínútur      | 45 mínútur síðan      | 1 klukkustund                  |
| 1999-12-31T23:00:00.000Z | 1 klukkustund   | 1 klukkustund síðan   | 1 klukkustund                  |
| 1999-12-31T18:00:00.000Z | 6 klukkustundir | 6 klukkustundir síðan | 6 klukkustundir                |
| 1999-12-30T00:00:00.000Z | 2 dagar         | 2 dagar síðan         | 48 klukkustundir               |
| 1999-12-15T00:00:00.000Z | 17 dagar        | 17 dagar síðan        | 408 klukkustundir              |
| 1999-12-01T00:00:00.000Z | 1 mánuður       | 1 mánuður síðan       | 744 klukkustundir              |
| 1999-11-01T00:00:00.000Z | 2 mánuðir       | 2 mánuðir síðan       | 1464 klukkustundir             |
| 1999-06-01T00:00:00.000Z | 7 mánuðir       | 7 mánuðir síðan       | 5136 klukkustundir             |
| 1999-01-01T00:00:00.000Z | 1 ár            | 1 ár síðan            | 8760 klukkustundir             |
| 1998-12-01T00:00:00.000Z | 1 ár            | 1 ár síðan            | 9504 klukkustundir             |
| 1998-06-01T00:00:00.000Z | 2 ár            | 2 ár síðan            | 13896 klukkustundir            |
| 1998-01-01T00:00:00.000Z | 2 ár            | 2 ár síðan            | 17520 klukkustundir            |
| 1997-01-01T00:00:00.000Z | 3 ár            | 3 ár síðan            | 26280 klukkustundir            |
| 1996-01-01T00:00:00.000Z | 4 ár            | 4 ár síðan            | 35064 klukkustundir            |
| 1995-01-01T00:00:00.000Z | 5 ár            | 5 ár síðan            | 43824 klukkustundir            |
| 1994-01-01T00:00:00.000Z | 6 ár            | 6 ár síðan            | 52584 klukkustundir            |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                 |
| ------------------------ | ---------------------- |
| 2000-01-10T00:00:00.000Z | 1                      |
| 2000-01-05T00:00:00.000Z | 0005 kl. 00:00         |
| 2000-01-02T00:00:00.000Z | á morgun kl. 00:00     |
| 2000-01-01T00:00:00.000Z | í dag kl. 00:00        |
| 1999-12-31T00:00:00.000Z | í gær kl. 00:00        |
| 1999-12-27T00:00:00.000Z | síðasta 0027 kl. 00:00 |
| 1999-12-21T00:00:00.000Z | 12                     |
