# Uighur (ug) locale

## `format` and `parse`

| Title                           | Token string | Date                        | `format` result                                    | `parse` result              | Equals |
| ------------------------------- | ------------ | --------------------------- | -------------------------------------------------- | --------------------------- | ------ |
| Era                             | G            | 1987-02-11T12:13:14.015Z    | ك                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | ب                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GG           | 1987-02-11T12:13:14.015Z    | ك                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | ب                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGG          | 1987-02-11T12:13:14.015Z    | ك                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | ب                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGG         | 1987-02-11T12:13:14.015Z    | مىيلادىدىن كىيىن                                   | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | مىيلادىدىن بۇرۇن                                   | -000009-01-01T00:00:00.000Z | ❌     |
|                                 | GGGGG        | 1987-02-11T12:13:14.015Z    | ك                                                  | -000009-01-01T00:00:00.000Z | ❌     |
|                                 |              | -002500-02-01T12:13:14.015Z | ب                                                  | -000009-01-01T00:00:00.000Z | ❌     |
| Calendar year                   | y            | 1987-02-11T12:13:14.015Z    | 1987                                               | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                  | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yo           | 1987-02-11T12:13:14.015Z    | 1987                                               | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                  | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yy           | 1987-02-11T12:13:14.015Z    | 87                                                 | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                 | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyy          | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyy         | 1987-02-11T12:13:14.015Z    | 1987                                               | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                               | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | yyyyy        | 1987-02-11T12:13:14.015Z    | 01987                                              | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                              | 0005-01-01T00:00:00.000Z    | ❌     |
| Local week-numbering year       | Y            | 1987-02-11T12:13:14.015Z    | 1987                                               | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                  | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | Yo           | 1987-02-11T12:13:14.015Z    | 1987                                               | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                  | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YY           | 1987-02-11T12:13:14.015Z    | 87                                                 | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                 | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYY          | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYYY         | 1987-02-11T12:13:14.015Z    | 1987                                               | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                               | 0004-12-26T00:00:00.000Z    | ❌     |
|                                 | YYYYY        | 1987-02-11T12:13:14.015Z    | 01987                                              | 1986-12-28T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                              | 0004-12-26T00:00:00.000Z    | ❌     |
| ISO week-numbering year         | R            | 1987-02-11T12:13:14.015Z    | 1987                                               | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 4                                                  | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RR           | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 04                                                 | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRR          | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 004                                                | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRR         | 1987-02-11T12:13:14.015Z    | 1987                                               | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0004                                               | 0003-12-29T00:00:00.000Z    | ❌     |
|                                 | RRRRR        | 1987-02-11T12:13:14.015Z    | 01987                                              | 1986-12-29T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00004                                              | 0003-12-29T00:00:00.000Z    | ❌     |
| Extended year                   | u            | 1987-02-11T12:13:14.015Z    | 1987                                               | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 5                                                  | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uu           | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 05                                                 | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuu          | 1987-02-11T12:13:14.015Z    | 1987                                               | Invalid Date                | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 005                                                | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuu         | 1987-02-11T12:13:14.015Z    | 1987                                               | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 0005                                               | 0005-01-01T00:00:00.000Z    | ❌     |
|                                 | uuuuu        | 1987-02-11T12:13:14.015Z    | 01987                                              | 1987-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 0005-01-01T12:13:14.015Z    | 00005                                              | 0005-01-01T00:00:00.000Z    | ❌     |
| Quarter (formatting)            | Q            | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | Qo           | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQ           | 2019-01-01T12:13:14.015Z    | 01                                                 | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                 | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQ          | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | QQQQ         | 2019-01-01T12:13:14.015Z    | بىرىنجى چارەك                                      | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ئىككىنجى چارەك                                     | Invalid Date                | ❌     |
|                                 | QQQQQ        | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
| Quarter (stand-alone)           | q            | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qo           | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qq           | 2019-01-01T12:13:14.015Z    | 01                                                 | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 02                                                 | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqq          | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
|                                 | qqqq         | 2019-01-01T12:13:14.015Z    | بىرىنجى چارەك                                      | Invalid Date                | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | ئىككىنجى چارەك                                     | Invalid Date                | ❌     |
|                                 | qqqqq        | 2019-01-01T12:13:14.015Z    | 1                                                  | 2019-01-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.015Z    | 2                                                  | 2019-04-01T00:00:00.000Z    | ❌     |
| Month (formatting)              | M            | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Mo           | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MM           | 2019-02-11T12:13:14.015Z    | 02                                                 | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                 | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMM          | 2019-02-11T12:13:14.015Z    | فېۋىرال                                            | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ئىيول                                              | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMM         | 2019-02-11T12:13:14.015Z    | فېۋىرال                                            | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ئىيول                                              | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | MMMMM        | 2019-02-11T12:13:14.015Z    | ف                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ى                                                  | Invalid Date                | ❌     |
| Month (stand-alone)             | L            | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | Lo           | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 7                                                  | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LL           | 2019-02-11T12:13:14.015Z    | 02                                                 | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | 07                                                 | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLL          | 2019-02-11T12:13:14.015Z    | فېۋىرال                                            | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ئىيول                                              | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLL         | 2019-02-11T12:13:14.015Z    | فېۋىرال                                            | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ئىيول                                              | 2019-07-01T00:00:00.000Z    | ❌     |
|                                 | LLLLL        | 2019-02-11T12:13:14.015Z    | ف                                                  | 2019-02-01T00:00:00.000Z    | ❌     |
|                                 |              | 2019-07-10T12:13:14.015Z    | ى                                                  | Invalid Date                | ❌     |
| Local week of year              | w            | 2019-01-01T12:13:14.015Z    | 1                                                  | 2018-12-30T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 49                                                 | 2019-12-01T00:00:00.000Z    | ❌     |
|                                 | wo           | 2019-01-01T12:13:14.015Z    | 1                                                  | 2018-12-30T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 49                                                 | 2019-12-01T00:00:00.000Z    | ❌     |
|                                 | ww           | 2019-01-01T12:13:14.015Z    | 01                                                 | 2018-12-30T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 49                                                 | 2019-12-01T00:00:00.000Z    | ❌     |
| ISO week of year                | I            | 2019-01-01T12:13:14.015Z    | 1                                                  | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                 | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | Io           | 2019-01-01T12:13:14.015Z    | 1                                                  | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                 | 2019-11-25T00:00:00.000Z    | ❌     |
|                                 | II           | 2019-01-01T12:13:14.015Z    | 01                                                 | 2018-12-31T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-01T12:13:14.015Z    | 48                                                 | 2019-11-25T00:00:00.000Z    | ❌     |
| Day of month                    | d            | 2019-02-11T12:13:14.015Z    | 11                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                 | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | do           | 2019-02-11T12:13:14.015Z    | 11                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                 | 2019-02-28T00:00:00.000Z    | ❌     |
|                                 | dd           | 2019-02-11T12:13:14.015Z    | 11                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-28T12:13:14.015Z    | 28                                                 | 2019-02-28T00:00:00.000Z    | ❌     |
| Day of year                     | D            | 2019-02-11T12:13:14.015Z    | 42                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | Do           | 2019-02-11T12:13:14.015Z    | 42                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DD           | 2019-02-11T12:13:14.015Z    | 42                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDD          | 2019-02-11T12:13:14.015Z    | 042                                                | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 365                                                | 2019-12-31T00:00:00.000Z    | ❌     |
|                                 | DDDD         | 2019-02-11T12:13:14.015Z    | 0042                                               | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-12-31T12:13:14.015Z    | 0365                                               | 2019-12-31T00:00:00.000Z    | ❌     |
| Day of week (formatting)        | E            | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | EE           | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | EEE          | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | EEEE         | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEE        | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | EEEEEE       | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
| ISO day of week (formatting)    | i            | 2019-02-11T12:13:14.015Z    | 1                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | io           | 2019-02-11T12:13:14.015Z    | 1                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 5                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ii           | 2019-02-11T12:13:14.015Z    | 01                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 05                                                 | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iii          | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | iiii         | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiii        | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | iiiiii       | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (formatting)  | e            | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eo           | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ee           | 2019-02-11T12:13:14.015Z    | 02                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 06                                                 | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eee          | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | eeee         | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeee        | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | eeeeee       | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
| Local day of week (stand-alone) | c            | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | co           | 2019-02-11T12:13:14.015Z    | 2                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 6                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cc           | 2019-02-11T12:13:14.015Z    | 02                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | 06                                                 | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccc          | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | Invalid Date                | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | Invalid Date                | ❌     |
|                                 | cccc         | 2019-02-11T12:13:14.015Z    | دۈشەنبە                                            | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | جۈمە                                               | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | ccccc        | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
|                                 | cccccc       | 2019-02-11T12:13:14.015Z    | د                                                  | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-15T12:13:14.015Z    | ج                                                  | 2019-02-15T00:00:00.000Z    | ❌     |
| AM, PM                          | a            | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aa           | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaa          | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaa         | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | aaaaa        | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
| AM, PM, noon, midnight          | b            | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bb           | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbb          | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbb         | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 | bbbbb        | 2019-02-11T11:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | چ                                                  | 2019-02-11T12:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | ئە                                                 | 2019-02-11T00:00:00.000Z    | ❌     |
| Flexible day period             | B            | 2019-02-11T11:13:14.015Z    | ئەتىگەندە                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چۈشتىن كىيىن                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ئاخشامدا                                           | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | كىچىدە                                             | Invalid Date                | ❌     |
|                                 | BB           | 2019-02-11T11:13:14.015Z    | ئەتىگەندە                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چۈشتىن كىيىن                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ئاخشامدا                                           | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | كىچىدە                                             | Invalid Date                | ❌     |
|                                 | BBB          | 2019-02-11T11:13:14.015Z    | ئەتىگەندە                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چۈشتىن كىيىن                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ئاخشامدا                                           | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | كىچىدە                                             | Invalid Date                | ❌     |
|                                 | BBBB         | 2019-02-11T11:13:14.015Z    | ئەتىگەندە                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چۈشتىن كىيىن                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ئاخشامدا                                           | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | كىچىدە                                             | Invalid Date                | ❌     |
|                                 | BBBBB        | 2019-02-11T11:13:14.015Z    | ئەتىگەندە                                          | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T14:13:14.015Z    | چۈشتىن كىيىن                                       | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T19:13:14.015Z    | ئاخشامدا                                           | Invalid Date                | ❌     |
|                                 |              | 2019-02-11T02:13:14.015Z    | كىچىدە                                             | Invalid Date                | ❌     |
| Hour [1-12]                     | h            | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ho           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | hh           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-23]                     | H            | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ho           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | HH           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [0-11]                     | K            | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | Ko           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | KK           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 11                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
| Hour [1-24]                     | k            | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | ko           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
|                                 | kk           | 2019-02-11T11:13:14.015Z    | 11                                                 | 2019-02-11T11:00:00.000Z    | ❌     |
|                                 |              | 2019-02-11T23:13:14.015Z    | 23                                                 | 2019-02-11T23:00:00.000Z    | ❌     |
| Minute                          | m            | 2019-01-01T12:01:14.015Z    | 1                                                  | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                 | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mo           | 2019-01-01T12:01:14.015Z    | 1                                                  | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                 | 2019-04-01T12:55:00.000Z    | ❌     |
|                                 | mm           | 2019-01-01T12:01:14.015Z    | 01                                                 | 2019-01-01T12:01:00.000Z    | ❌     |
|                                 |              | 2019-04-01T12:55:14.015Z    | 55                                                 | 2019-04-01T12:55:00.000Z    | ❌     |
| Second                          | s            | 2019-01-01T12:13:01.015Z    | 1                                                  | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                 | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | so           | 2019-01-01T12:13:01.015Z    | 1                                                  | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                 | 2019-04-01T12:13:55.000Z    | ❌     |
|                                 | ss           | 2019-01-01T12:13:01.015Z    | 01                                                 | 2019-01-01T12:13:01.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:55.015Z    | 55                                                 | 2019-04-01T12:13:55.000Z    | ❌     |
| Fraction of second              | S            | 2019-01-01T12:13:14.001Z    | 0                                                  | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9                                                  | 2019-04-01T12:13:14.900Z    | ❌     |
|                                 | SS           | 2019-01-01T12:13:14.001Z    | 00                                                 | 2019-01-01T12:13:14.000Z    | ❌     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 99                                                 | 2019-04-01T12:13:14.990Z    | ❌     |
|                                 | SSS          | 2019-01-01T12:13:14.001Z    | 001                                                | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 999                                                | 2019-04-01T12:13:14.999Z    | ✅     |
|                                 | SSSS         | 2019-01-01T12:13:14.001Z    | 0010                                               | 2019-01-01T12:13:14.001Z    | ✅     |
|                                 |              | 2019-04-01T12:13:14.999Z    | 9990                                               | 2019-04-01T12:13:14.999Z    | ✅     |
| Timezone (ISO-8601 w/ Z)        | X            | 2019-02-11T12:13:14.015Z    | Z                                                  | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XX           | 2019-02-11T12:13:14.015Z    | Z                                                  | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXX          | 2019-02-11T12:13:14.015Z    | Z                                                  | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXX         | 2019-02-11T12:13:14.015Z    | Z                                                  | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | XXXXX        | 2019-02-11T12:13:14.015Z    | Z                                                  | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (ISO-8601 w/o Z)       | x            | 2019-02-11T12:13:14.015Z    | +00                                                | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xx           | 2019-02-11T12:13:14.015Z    | +0000                                              | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxx          | 2019-02-11T12:13:14.015Z    | +00:00                                             | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxx         | 2019-02-11T12:13:14.015Z    | +0000                                              | 2019-02-11T12:13:14.015Z    | ✅     |
|                                 | xxxxx        | 2019-02-11T12:13:14.015Z    | +00:00                                             | 2019-02-11T12:13:14.015Z    | ✅     |
| Timezone (GMT)                  | O            | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | OO           | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | OOO          | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | OOOO         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                          | NA                          | NA     |
| Timezone (specific non-locat.)  | z            | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | zz           | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | zzz          | 2019-02-11T12:13:14.015Z    | GMT+0                                              | NA                          | NA     |
|                                 | zzzz         | 2019-02-11T12:13:14.015Z    | GMT+00:00                                          | NA                          | NA     |
| Seconds timestamp               | t            | 1970-01-01T00:00:00.000Z    | 0                                                  | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                          | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | tt           | 1970-01-01T00:00:00.000Z    | 00                                                 | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000                                          | 1987-02-11T00:00:00.000Z    | ✅     |
| Milliseconds timestamp          | T            | 1970-01-01T00:00:00.000Z    | 0                                                  | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                       | 1987-02-11T00:00:00.000Z    | ✅     |
|                                 | TT           | 1970-01-01T00:00:00.000Z    | 00                                                 | 1970-01-01T00:00:00.000Z    | ✅     |
|                                 |              | 1987-02-11T00:00:00.000Z    | 540000000000                                       | 1987-02-11T00:00:00.000Z    | ✅     |
| Long localized date             | P            | 1987-02-11T12:13:14.015Z    | 02/11/1987                                         | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 05/29/1453                                         | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PP           | 1987-02-11T12:13:14.015Z    | فېۋىرال 11, 1987                                   | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | ماي 29, 1453                                       | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PPP          | 1987-02-11T12:13:14.015Z    | فېۋىرال 11, 1987                                   | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | ماي 29, 1453                                       | 1453-05-29T00:00:00.000Z    | ❌     |
|                                 | PPPP         | 1987-02-11T12:13:14.015Z    | چارشەنبە, فېۋىرال 11, 1987                         | 1987-02-11T00:00:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | يەكشەنبە, ماي 29, 1453                             | 1453-05-29T00:00:00.000Z    | ❌     |
| Long localized time             | p            | 1987-02-11T12:13:14.015Z    | 12:13 چ                                            | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59 چ                                            | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | pp           | 1987-02-11T12:13:14.015Z    | 12:13:14 چ                                         | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 چ                                         | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | ppp          | 1987-02-11T12:13:14.015Z    | 12:13:14 چ GMT+0                                   | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 چ GMT+0                                   | Errored                     | ❌     |
|                                 | pppp         | 1987-02-11T12:13:14.015Z    | 12:13:14 چ GMT+00:00                               | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 11:59:59 چ GMT+00:00                               | Errored                     | ❌     |
| Combination of date and time    | Pp           | 1987-02-11T12:13:14.015Z    | 02/11/1987, 12:13 چ                                | 1987-02-11T12:13:00.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | 05/29/1453, 11:59 چ                                | 1453-05-29T23:59:00.000Z    | ❌     |
|                                 | PPpp         | 1987-02-11T12:13:14.015Z    | فېۋىرال 11, 1987, 12:13:14 چ                       | 1987-02-11T12:13:14.000Z    | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | ماي 29, 1453, 11:59:59 چ                           | 1453-05-29T23:59:59.000Z    | ❌     |
|                                 | PPPppp       | 1987-02-11T12:13:14.015Z    | فېۋىرال 11, 1987 دە 12:13:14 چ GMT+0               | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | ماي 29, 1453 دە 11:59:59 چ GMT+0                   | Errored                     | ❌     |
|                                 | PPPPpppp     | 1987-02-11T12:13:14.015Z    | چارشەنبە, فېۋىرال 11, 1987 دە 12:13:14 چ GMT+00:00 | Errored                     | ❌     |
|                                 |              | 1453-05-29T23:59:59.999Z    | يەكشەنبە, ماي 29, 1453 دە 11:59:59 چ GMT+00:00     | Errored                     | ❌     |

## `formatDistance`

If now is January 1st, 2000, 00:00.

| Date                     | Result             | `includeSeconds: true` | `addSuffix: true`        |
| ------------------------ | ------------------ | ---------------------- | ------------------------ |
| 2006-01-01T00:00:00.000Z | يىل 6 تەخمىنەن     | يىل 6 تەخمىنەن         | يىل 6 تەخمىنەن           |
| 2005-01-01T00:00:00.000Z | يىل 5 تەخمىنەن     | يىل 5 تەخمىنەن         | يىل 5 تەخمىنەن           |
| 2004-01-01T00:00:00.000Z | يىل 4 تەخمىنەن     | يىل 4 تەخمىنەن         | يىل 4 تەخمىنەن           |
| 2003-01-01T00:00:00.000Z | يىل 3 تەخمىنەن     | يىل 3 تەخمىنەن         | يىل 3 تەخمىنەن           |
| 2002-01-01T00:00:00.000Z | يىل 2 تەخمىنەن     | يىل 2 تەخمىنەن         | يىل 2 تەخمىنەن           |
| 2001-06-01T00:00:00.000Z | بىر يىلدىن ئارتۇق  | بىر يىلدىن ئارتۇق      | بىر يىلدىن ئارتۇق        |
| 2001-02-01T00:00:00.000Z | تەخمىنەن بىر يىل   | تەخمىنەن بىر يىل       | تەخمىنەن بىر يىل         |
| 2001-01-01T00:00:00.000Z | تەخمىنەن بىر يىل   | تەخمىنەن بىر يىل       | تەخمىنەن بىر يىل         |
| 2000-06-01T00:00:00.000Z | ئاي 5              | ئاي 5                  | ئاي 5                    |
| 2000-03-01T00:00:00.000Z | ئاي 2              | ئاي 2                  | ئاي 2                    |
| 2000-02-01T00:00:00.000Z | تەخمىنەن بىر ئاي   | تەخمىنەن بىر ئاي       | تەخمىنەن بىر ئاي         |
| 2000-01-15T00:00:00.000Z | كۈن 14             | كۈن 14                 | كۈن 14                   |
| 2000-01-02T00:00:00.000Z | بىر كۈن            | بىر كۈن                | بىر كۈن                  |
| 2000-01-01T06:00:00.000Z | سائەت 6 تەخمىنەن   | سائەت 6 تەخمىنەن       | سائەت 6 تەخمىنەن         |
| 2000-01-01T01:00:00.000Z | تەخمىنەن بىر سائەت | تەخمىنەن بىر سائەت     | تەخمىنەن بىر سائەت       |
| 2000-01-01T00:45:00.000Z | تەخمىنەن بىر سائەت | تەخمىنەن بىر سائەت     | تەخمىنەن بىر سائەت       |
| 2000-01-01T00:30:00.000Z | مىنۇت 30           | مىنۇت 30               | مىنۇت 30                 |
| 2000-01-01T00:15:00.000Z | مىنۇت 15           | مىنۇت 15               | مىنۇت 15                 |
| 2000-01-01T00:01:00.000Z | بىر مىنۇت          | بىر مىنۇت              | بىر مىنۇت                |
| 2000-01-01T00:00:25.000Z | بىر مىنۇت ئىچىدە   | يىرىم مىنۇت            | بىر مىنۇت ئىچىدە         |
| 2000-01-01T00:00:15.000Z | بىر مىنۇت ئىچىدە   | سىكۇنت ئىچىدە 20       | بىر مىنۇت ئىچىدە         |
| 2000-01-01T00:00:05.000Z | بىر مىنۇت ئىچىدە   | سىكۇنت ئىچىدە 10       | بىر مىنۇت ئىچىدە         |
| 2000-01-01T00:00:00.000Z | بىر مىنۇت ئىچىدە   | سىكۇنت ئىچىدە 5        | بىر مىنۇت ئىچىدە بولدى   |
| 1999-12-31T23:59:55.000Z | بىر مىنۇت ئىچىدە   | سىكۇنت ئىچىدە 10       | بىر مىنۇت ئىچىدە بولدى   |
| 1999-12-31T23:59:45.000Z | بىر مىنۇت ئىچىدە   | سىكۇنت ئىچىدە 20       | بىر مىنۇت ئىچىدە بولدى   |
| 1999-12-31T23:59:35.000Z | بىر مىنۇت ئىچىدە   | يىرىم مىنۇت            | بىر مىنۇت ئىچىدە بولدى   |
| 1999-12-31T23:59:00.000Z | بىر مىنۇت          | بىر مىنۇت              | بىر مىنۇت بولدى          |
| 1999-12-31T23:45:00.000Z | مىنۇت 15           | مىنۇت 15               | مىنۇت 15 بولدى           |
| 1999-12-31T23:30:00.000Z | مىنۇت 30           | مىنۇت 30               | مىنۇت 30 بولدى           |
| 1999-12-31T23:15:00.000Z | تەخمىنەن بىر سائەت | تەخمىنەن بىر سائەت     | تەخمىنەن بىر سائەت بولدى |
| 1999-12-31T23:00:00.000Z | تەخمىنەن بىر سائەت | تەخمىنەن بىر سائەت     | تەخمىنەن بىر سائەت بولدى |
| 1999-12-31T18:00:00.000Z | سائەت 6 تەخمىنەن   | سائەت 6 تەخمىنەن       | سائەت 6 تەخمىنەن بولدى   |
| 1999-12-30T00:00:00.000Z | كۈن 2              | كۈن 2                  | كۈن 2 بولدى              |
| 1999-12-15T00:00:00.000Z | كۈن 17             | كۈن 17                 | كۈن 17 بولدى             |
| 1999-12-01T00:00:00.000Z | تەخمىنەن بىر ئاي   | تەخمىنەن بىر ئاي       | تەخمىنەن بىر ئاي بولدى   |
| 1999-11-01T00:00:00.000Z | ئاي 2              | ئاي 2                  | ئاي 2 بولدى              |
| 1999-06-01T00:00:00.000Z | ئاي 7              | ئاي 7                  | ئاي 7 بولدى              |
| 1999-01-01T00:00:00.000Z | تەخمىنەن بىر يىل   | تەخمىنەن بىر يىل       | تەخمىنەن بىر يىل بولدى   |
| 1998-12-01T00:00:00.000Z | تەخمىنەن بىر يىل   | تەخمىنەن بىر يىل       | تەخمىنەن بىر يىل بولدى   |
| 1998-06-01T00:00:00.000Z | بىر يىلدىن ئارتۇق  | بىر يىلدىن ئارتۇق      | بىر يىلدىن ئارتۇق بولدى  |
| 1998-01-01T00:00:00.000Z | يىل 2 تەخمىنەن     | يىل 2 تەخمىنەن         | يىل 2 تەخمىنەن بولدى     |
| 1997-01-01T00:00:00.000Z | يىل 3 تەخمىنەن     | يىل 3 تەخمىنەن         | يىل 3 تەخمىنەن بولدى     |
| 1996-01-01T00:00:00.000Z | يىل 4 تەخمىنەن     | يىل 4 تەخمىنەن         | يىل 4 تەخمىنەن بولدى     |
| 1995-01-01T00:00:00.000Z | يىل 5 تەخمىنەن     | يىل 5 تەخمىنەن         | يىل 5 تەخمىنەن بولدى     |
| 1994-01-01T00:00:00.000Z | يىل 6 تەخمىنەن     | يىل 6 تەخمىنەن         | يىل 6 تەخمىنەن بولدى     |

## `formatDistanceStrict`

If now is January 1st, 2000, 00:00.

| Date                     | Result    | `addSuffix: true` | With forced unit (i.e. `hour`) |
| ------------------------ | --------- | ----------------- | ------------------------------ |
| 2006-01-01T00:00:00.000Z | يىل 6     | يىل 6             | سائەت 52608                    |
| 2005-01-01T00:00:00.000Z | يىل 5     | يىل 5             | سائەت 43848                    |
| 2004-01-01T00:00:00.000Z | يىل 4     | يىل 4             | سائەت 35064                    |
| 2003-01-01T00:00:00.000Z | يىل 3     | يىل 3             | سائەت 26304                    |
| 2002-01-01T00:00:00.000Z | يىل 2     | يىل 2             | سائەت 17544                    |
| 2001-06-01T00:00:00.000Z | بىر يىل   | بىر يىل           | سائەت 12408                    |
| 2001-02-01T00:00:00.000Z | بىر يىل   | بىر يىل           | سائەت 9528                     |
| 2001-01-01T00:00:00.000Z | بىر يىل   | بىر يىل           | سائەت 8784                     |
| 2000-06-01T00:00:00.000Z | ئاي 5     | ئاي 5             | سائەت 3648                     |
| 2000-03-01T00:00:00.000Z | ئاي 2     | ئاي 2             | سائەت 1440                     |
| 2000-02-01T00:00:00.000Z | بىر ئاي   | بىر ئاي           | سائەت 744                      |
| 2000-01-15T00:00:00.000Z | كۈن 14    | كۈن 14            | سائەت 336                      |
| 2000-01-02T00:00:00.000Z | بىر كۈن   | بىر كۈن           | سائەت 24                       |
| 2000-01-01T06:00:00.000Z | سائەت 6   | سائەت 6           | سائەت 6                        |
| 2000-01-01T01:00:00.000Z | بىر سائەت | بىر سائەت         | بىر سائەت                      |
| 2000-01-01T00:45:00.000Z | مىنۇت 45  | مىنۇت 45          | بىر سائەت                      |
| 2000-01-01T00:30:00.000Z | مىنۇت 30  | مىنۇت 30          | بىر سائەت                      |
| 2000-01-01T00:15:00.000Z | مىنۇت 15  | مىنۇت 15          | سائەت 0                        |
| 2000-01-01T00:01:00.000Z | بىر مىنۇت | بىر مىنۇت         | سائەت 0                        |
| 2000-01-01T00:00:25.000Z | سىكۇنت 25 | سىكۇنت 25         | سائەت 0                        |
| 2000-01-01T00:00:15.000Z | سىكۇنت 15 | سىكۇنت 15         | سائەت 0                        |
| 2000-01-01T00:00:05.000Z | سىكۇنت 5  | سىكۇنت 5          | سائەت 0                        |
| 2000-01-01T00:00:00.000Z | سىكۇنت 0  | سىكۇنت 0 بولدى    | سائەت 0                        |
| 1999-12-31T23:59:55.000Z | سىكۇنت 5  | سىكۇنت 5 بولدى    | سائەت 0                        |
| 1999-12-31T23:59:45.000Z | سىكۇنت 15 | سىكۇنت 15 بولدى   | سائەت 0                        |
| 1999-12-31T23:59:35.000Z | سىكۇنت 25 | سىكۇنت 25 بولدى   | سائەت 0                        |
| 1999-12-31T23:59:00.000Z | بىر مىنۇت | بىر مىنۇت بولدى   | سائەت 0                        |
| 1999-12-31T23:45:00.000Z | مىنۇت 15  | مىنۇت 15 بولدى    | سائەت 0                        |
| 1999-12-31T23:30:00.000Z | مىنۇت 30  | مىنۇت 30 بولدى    | بىر سائەت                      |
| 1999-12-31T23:15:00.000Z | مىنۇت 45  | مىنۇت 45 بولدى    | بىر سائەت                      |
| 1999-12-31T23:00:00.000Z | بىر سائەت | بىر سائەت بولدى   | بىر سائەت                      |
| 1999-12-31T18:00:00.000Z | سائەت 6   | سائەت 6 بولدى     | سائەت 6                        |
| 1999-12-30T00:00:00.000Z | كۈن 2     | كۈن 2 بولدى       | سائەت 48                       |
| 1999-12-15T00:00:00.000Z | كۈن 17    | كۈن 17 بولدى      | سائەت 408                      |
| 1999-12-01T00:00:00.000Z | بىر ئاي   | بىر ئاي بولدى     | سائەت 744                      |
| 1999-11-01T00:00:00.000Z | ئاي 2     | ئاي 2 بولدى       | سائەت 1464                     |
| 1999-06-01T00:00:00.000Z | ئاي 7     | ئاي 7 بولدى       | سائەت 5136                     |
| 1999-01-01T00:00:00.000Z | بىر يىل   | بىر يىل بولدى     | سائەت 8760                     |
| 1998-12-01T00:00:00.000Z | بىر يىل   | بىر يىل بولدى     | سائەت 9504                     |
| 1998-06-01T00:00:00.000Z | يىل 2     | يىل 2 بولدى       | سائەت 13896                    |
| 1998-01-01T00:00:00.000Z | يىل 2     | يىل 2 بولدى       | سائەت 17520                    |
| 1997-01-01T00:00:00.000Z | يىل 3     | يىل 3 بولدى       | سائەت 26280                    |
| 1996-01-01T00:00:00.000Z | يىل 4     | يىل 4 بولدى       | سائەت 35064                    |
| 1995-01-01T00:00:00.000Z | يىل 5     | يىل 5 بولدى       | سائەت 43824                    |
| 1994-01-01T00:00:00.000Z | يىل 6     | يىل 6 بولدى       | سائەت 52584                    |

## `formatRelative`

If now is January 1st, 2000, 00:00.

| Date                     | Result                      |
| ------------------------ | --------------------------- |
| 2000-01-10T00:00:00.000Z | 01/10/2000                  |
| 2000-01-05T00:00:00.000Z | چارشەنبە دە 12:00 ئە        |
| 2000-01-02T00:00:00.000Z | ئەتە دە 12:00 ئە            |
| 2000-01-01T00:00:00.000Z | بۈگۈن دە 12:00 ئە           |
| 1999-12-31T00:00:00.000Z | تۈنۈگۈن دە 12:00 ئە         |
| 1999-12-27T00:00:00.000Z | ئ‍ۆتكەن دۈشەنبە دە 12:00 ئە |
| 1999-12-21T00:00:00.000Z | 12/21/1999                  |
